#-- start of make_header -----------------

#====================================
#  Library VeloDetDict
#
#   Generated Tue Oct 14 15:00:11 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloDetDict_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloDetDict_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloDetDict

VeloDet_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDetDict = /tmp/CMT_$(VeloDet_tag)_VeloDetDict.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDetDict = $(VeloDet_tag)_VeloDetDict.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloDet_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDetDict = /tmp/CMT_$(VeloDet_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDetDict = $(VeloDet_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloDetDict)

ifdef cmt_VeloDetDict_has_target_tag

ifdef READONLY
cmt_final_setup_VeloDetDict = /tmp/CMT_VeloDet_VeloDetDictsetup.make
cmt_local_VeloDetDict_makefile = /tmp/CMT_VeloDetDict$(cmt_lock_pid).make
else
cmt_final_setup_VeloDetDict = $(bin)VeloDet_VeloDetDictsetup.make
cmt_local_VeloDetDict_makefile = $(bin)VeloDetDict.make
endif

else

ifdef READONLY
cmt_final_setup_VeloDetDict = /tmp/CMT_VeloDetsetup.make
cmt_local_VeloDetDict_makefile = /tmp/CMT_VeloDetDict$(cmt_lock_pid).make
else
cmt_final_setup_VeloDetDict = $(bin)VeloDetsetup.make
cmt_local_VeloDetDict_makefile = $(bin)VeloDetDict.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloDetsetup.make
else
cmt_final_setup = $(bin)VeloDetsetup.make
endif

VeloDetDict ::


ifdef READONLY
VeloDetDict ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloDetDict'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloDetDict/
VeloDetDict::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

#-- start of libary_header ---------------

VeloDetDictlibname   = $(bin)$(library_prefix)VeloDetDict$(library_suffix)
VeloDetDictlib       = $(VeloDetDictlibname).a
VeloDetDictstamp     = $(bin)VeloDetDict.stamp
VeloDetDictshstamp   = $(bin)VeloDetDict.shstamp

VeloDetDict :: dirs  VeloDetDictLIB
	@/bin/echo "------> VeloDetDict ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

VeloDetDictLIB :: $(VeloDetDictlib) $(VeloDetDictshstamp)
	@/bin/echo "------> VeloDetDict : library ok"

$(VeloDetDictlib) :: $(bin)VeloDetDict_dict.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(VeloDetDictlib) $?
	$(lib_silent) $(ranlib) $(VeloDetDictlib)
	$(lib_silent) cat /dev/null >$(VeloDetDictstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(VeloDetDictlibname).$(shlibsuffix) :: $(VeloDetDictlib) requirements $(use_requirements) $(VeloDetDictstamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" VeloDetDict $(VeloDetDict_shlibflags)

$(VeloDetDictshstamp) :: $(VeloDetDictlibname).$(shlibsuffix)
	@if test -f $(VeloDetDictlibname).$(shlibsuffix) ; then cat /dev/null >$(VeloDetDictshstamp) ; fi

VeloDetDictclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)VeloDetDict_dict.o
	$(cleanup_silent) cd $(bin); /bin/rm -rf VeloDetDict_deps VeloDetDict_dependencies.make

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
VeloDetDictinstallname = $(library_prefix)VeloDetDict$(library_suffix).$(shlibsuffix)

VeloDetDict :: VeloDetDictinstall

install :: VeloDetDictinstall

VeloDetDictinstall :: $(install_dir)/$(VeloDetDictinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(VeloDetDictinstallname) :: $(bin)$(VeloDetDictinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloDetDictinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi

##VeloDetDictclean :: VeloDetDictuninstall

uninstall :: VeloDetDictuninstall

VeloDetDictuninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloDetDictinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)VeloDetDict_dependencies.make :: dirs

ifndef QUICK
$(bin)VeloDetDict_dependencies.make :: ../slc4_ia32_gcc34/dict/VeloDet/*.cpp  requirements $(use_requirements) $(cmt_final_setup_VeloDetDict)
	@echo "------> (VeloDetDict.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) VeloDetDict -all_sources $${args}
endif

#$(VeloDetDict_dependencies)

-include $(bin)VeloDetDict_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloDetDict_dict.o : $(VeloDetDict_dict_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloDetDict_dict.o $(use_pp_cppflags) $(VeloDetDict_pp_cppflags) $(lib_VeloDetDict_pp_cppflags) $(VeloDetDict_dict_pp_cppflags) $(use_cppflags) $(VeloDetDict_cppflags) $(lib_VeloDetDict_cppflags) $(VeloDetDict_dict_cppflags) $(VeloDetDict_dict_cpp_cppflags) -I../slc4_ia32_gcc34/dict/VeloDet ../slc4_ia32_gcc34/dict/VeloDet/VeloDetDict_dict.cpp

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: VeloDetDictclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloDetDictclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(binobj)$(library_prefix)VeloDetDict$(library_suffix).a $(binobj)$(library_prefix)VeloDetDict$(library_suffix).s? $(binobj)VeloDetDict.stamp $(binobj)VeloDetDict.shstamp
#-- end of cleanup_library ---------------

