#-- start of make_header -----------------

#====================================
#  Library VeloDetLib
#
#   Generated Tue Oct 14 14:59:52 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloDetLib_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloDetLib_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloDetLib

VeloDet_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDetLib = /tmp/CMT_$(VeloDet_tag)_VeloDetLib.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDetLib = $(VeloDet_tag)_VeloDetLib.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloDet_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDetLib = /tmp/CMT_$(VeloDet_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDetLib = $(VeloDet_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloDetLib)

ifdef cmt_VeloDetLib_has_target_tag

ifdef READONLY
cmt_final_setup_VeloDetLib = /tmp/CMT_VeloDet_VeloDetLibsetup.make
cmt_local_VeloDetLib_makefile = /tmp/CMT_VeloDetLib$(cmt_lock_pid).make
else
cmt_final_setup_VeloDetLib = $(bin)VeloDet_VeloDetLibsetup.make
cmt_local_VeloDetLib_makefile = $(bin)VeloDetLib.make
endif

else

ifdef READONLY
cmt_final_setup_VeloDetLib = /tmp/CMT_VeloDetsetup.make
cmt_local_VeloDetLib_makefile = /tmp/CMT_VeloDetLib$(cmt_lock_pid).make
else
cmt_final_setup_VeloDetLib = $(bin)VeloDetsetup.make
cmt_local_VeloDetLib_makefile = $(bin)VeloDetLib.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloDetsetup.make
else
cmt_final_setup = $(bin)VeloDetsetup.make
endif

VeloDetLib ::


ifdef READONLY
VeloDetLib ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloDetLib'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloDetLib/
VeloDetLib::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

#-- start of libary_header ---------------

VeloDetLiblibname   = $(bin)$(library_prefix)VeloDetLib$(library_suffix)
VeloDetLiblib       = $(VeloDetLiblibname).a
VeloDetLibstamp     = $(bin)VeloDetLib.stamp
VeloDetLibshstamp   = $(bin)VeloDetLib.shstamp

VeloDetLib :: dirs  VeloDetLibLIB
	@/bin/echo "------> VeloDetLib ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

VeloDetLibLIB :: $(VeloDetLiblib) $(VeloDetLibshstamp)
	@/bin/echo "------> VeloDetLib : library ok"

$(VeloDetLiblib) :: $(bin)DeVelo.o $(bin)DeVeloPhiType.o $(bin)DeVeloRType.o $(bin)DeVeloSensor.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(VeloDetLiblib) $?
	$(lib_silent) $(ranlib) $(VeloDetLiblib)
	$(lib_silent) cat /dev/null >$(VeloDetLibstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(VeloDetLiblibname).$(shlibsuffix) :: $(VeloDetLiblib) requirements $(use_requirements) $(VeloDetLibstamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" VeloDetLib $(VeloDetLib_shlibflags)

$(VeloDetLibshstamp) :: $(VeloDetLiblibname).$(shlibsuffix)
	@if test -f $(VeloDetLiblibname).$(shlibsuffix) ; then cat /dev/null >$(VeloDetLibshstamp) ; fi

VeloDetLibclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)DeVelo.o $(bin)DeVeloPhiType.o $(bin)DeVeloRType.o $(bin)DeVeloSensor.o
	$(cleanup_silent) cd $(bin); /bin/rm -rf VeloDetLib_deps VeloDetLib_dependencies.make

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
VeloDetLibinstallname = $(library_prefix)VeloDetLib$(library_suffix).$(shlibsuffix)

VeloDetLib :: VeloDetLibinstall

install :: VeloDetLibinstall

VeloDetLibinstall :: $(install_dir)/$(VeloDetLibinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(VeloDetLibinstallname) :: $(bin)$(VeloDetLibinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloDetLibinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi

##VeloDetLibclean :: VeloDetLibuninstall

uninstall :: VeloDetLibuninstall

VeloDetLibuninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloDetLibinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)VeloDetLib_dependencies.make :: dirs

ifndef QUICK
$(bin)VeloDetLib_dependencies.make :: $(src)Lib/*.cpp  requirements $(use_requirements) $(cmt_final_setup_VeloDetLib)
	@echo "------> (VeloDetLib.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) VeloDetLib -all_sources $${args}
endif

#$(VeloDetLib_dependencies)

-include $(bin)VeloDetLib_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)DeVelo.o : $(DeVelo_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)DeVelo.o $(use_pp_cppflags) $(VeloDetLib_pp_cppflags) $(lib_VeloDetLib_pp_cppflags) $(DeVelo_pp_cppflags) $(use_cppflags) $(VeloDetLib_cppflags) $(lib_VeloDetLib_cppflags) $(DeVelo_cppflags) $(DeVelo_cpp_cppflags) -I../src/Lib $(src)Lib/DeVelo.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)DeVeloPhiType.o : $(DeVeloPhiType_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)DeVeloPhiType.o $(use_pp_cppflags) $(VeloDetLib_pp_cppflags) $(lib_VeloDetLib_pp_cppflags) $(DeVeloPhiType_pp_cppflags) $(use_cppflags) $(VeloDetLib_cppflags) $(lib_VeloDetLib_cppflags) $(DeVeloPhiType_cppflags) $(DeVeloPhiType_cpp_cppflags) -I../src/Lib $(src)Lib/DeVeloPhiType.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)DeVeloRType.o : $(DeVeloRType_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)DeVeloRType.o $(use_pp_cppflags) $(VeloDetLib_pp_cppflags) $(lib_VeloDetLib_pp_cppflags) $(DeVeloRType_pp_cppflags) $(use_cppflags) $(VeloDetLib_cppflags) $(lib_VeloDetLib_cppflags) $(DeVeloRType_cppflags) $(DeVeloRType_cpp_cppflags) -I../src/Lib $(src)Lib/DeVeloRType.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)DeVeloSensor.o : $(DeVeloSensor_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)DeVeloSensor.o $(use_pp_cppflags) $(VeloDetLib_pp_cppflags) $(lib_VeloDetLib_pp_cppflags) $(DeVeloSensor_pp_cppflags) $(use_cppflags) $(VeloDetLib_cppflags) $(lib_VeloDetLib_cppflags) $(DeVeloSensor_cppflags) $(DeVeloSensor_cpp_cppflags) -I../src/Lib $(src)Lib/DeVeloSensor.cpp

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: VeloDetLibclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloDetLibclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(binobj)$(library_prefix)VeloDetLib$(library_suffix).a $(binobj)$(library_prefix)VeloDetLib$(library_suffix).s? $(binobj)VeloDetLib.stamp $(binobj)VeloDetLib.shstamp
#-- end of cleanup_library ---------------

