#-- start of make_header -----------------

#====================================
#  Document VeloDetMergeMap
#
#   Generated Tue Oct 14 15:00:08 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloDetMergeMap_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloDetMergeMap_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloDetMergeMap

VeloDet_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDetMergeMap = /tmp/CMT_$(VeloDet_tag)_VeloDetMergeMap.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDetMergeMap = $(VeloDet_tag)_VeloDetMergeMap.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloDet_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDetMergeMap = /tmp/CMT_$(VeloDet_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDetMergeMap = $(VeloDet_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloDetMergeMap)

ifdef cmt_VeloDetMergeMap_has_target_tag

ifdef READONLY
cmt_final_setup_VeloDetMergeMap = /tmp/CMT_VeloDet_VeloDetMergeMapsetup.make
cmt_local_VeloDetMergeMap_makefile = /tmp/CMT_VeloDetMergeMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloDetMergeMap = $(bin)VeloDet_VeloDetMergeMapsetup.make
cmt_local_VeloDetMergeMap_makefile = $(bin)VeloDetMergeMap.make
endif

else

ifdef READONLY
cmt_final_setup_VeloDetMergeMap = /tmp/CMT_VeloDetsetup.make
cmt_local_VeloDetMergeMap_makefile = /tmp/CMT_VeloDetMergeMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloDetMergeMap = $(bin)VeloDetsetup.make
cmt_local_VeloDetMergeMap_makefile = $(bin)VeloDetMergeMap.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloDetsetup.make
else
cmt_final_setup = $(bin)VeloDetsetup.make
endif

VeloDetMergeMap ::


ifdef READONLY
VeloDetMergeMap ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloDetMergeMap'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloDetMergeMap/
VeloDetMergeMap::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

# File: cmt/fragments/merge_rootmap_header
# Author: Sebastien Binet (binet@cern.ch)

# Makefile fragment to merge a <library>.rootmap file into a single
# <project>.rootmap file in the (lib) install area
# If no InstallArea is present the fragment is dummy


.PHONY: VeloDetMergeMap VeloDetMergeMapclean

# default is already '#'
#genmap_comment_char := "'#'"

ifdef CMTINSTALLAREA
rootMapDir    := ${CMTINSTALLAREA}/$(tag)/lib
mergedRootMap := $(rootMapDir)/$(project).rootmap
stampRootMap  := $(rootMapDir)/VeloDet.rootmap.stamp
else
rootMapDir    := ../$(tag)
mergedRootMap := 
stampRootMap  :=
endif

rootMapRef    := ../$(tag)/VeloDet.rootmap

VeloDetMergeMap :: $(stampRootMap) $(mergedRootMap)
	@:

$(stampRootMap) $(mergedRootMap) :: $(rootMapRef)
	@echo "Running merge_rootmap  VeloDetMergeMap" 
	$(merge_rootmap_cmd) --do-merge \
         --input-file $(rootMapRef) --merged-file $(mergedRootMap)

VeloDetMergeMapclean ::
	$(cleanup_silent) $(merge_rootmap_cmd) --un-merge \
         --input-file $(rootMapRef) --merged-file $(mergedRootMap) ;
	$(cleanup_silent) $(uninstall_command) $(stampRootMap)
libVeloDet_so_dependencies = ../slc4_ia32_gcc34/libVeloDet.so
#-- start of cleanup_header --------------

clean :: VeloDetMergeMapclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloDetMergeMapclean ::
#-- end of cleanup_header ---------------
