#-- start of make_header -----------------

#====================================
#  Document VeloDetRootMap
#
#   Generated Tue Oct 14 15:00:07 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloDetRootMap_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloDetRootMap_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloDetRootMap

VeloDet_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDetRootMap = /tmp/CMT_$(VeloDet_tag)_VeloDetRootMap.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDetRootMap = $(VeloDet_tag)_VeloDetRootMap.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloDet_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDetRootMap = /tmp/CMT_$(VeloDet_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDetRootMap = $(VeloDet_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloDetRootMap)

ifdef cmt_VeloDetRootMap_has_target_tag

ifdef READONLY
cmt_final_setup_VeloDetRootMap = /tmp/CMT_VeloDet_VeloDetRootMapsetup.make
cmt_local_VeloDetRootMap_makefile = /tmp/CMT_VeloDetRootMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloDetRootMap = $(bin)VeloDet_VeloDetRootMapsetup.make
cmt_local_VeloDetRootMap_makefile = $(bin)VeloDetRootMap.make
endif

else

ifdef READONLY
cmt_final_setup_VeloDetRootMap = /tmp/CMT_VeloDetsetup.make
cmt_local_VeloDetRootMap_makefile = /tmp/CMT_VeloDetRootMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloDetRootMap = $(bin)VeloDetsetup.make
cmt_local_VeloDetRootMap_makefile = $(bin)VeloDetRootMap.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloDetsetup.make
else
cmt_final_setup = $(bin)VeloDetsetup.make
endif

VeloDetRootMap ::


ifdef READONLY
VeloDetRootMap ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloDetRootMap'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloDetRootMap/
VeloDetRootMap::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

##
rootmapfile = VeloDet.rootmap
ROOTMAP_DIR = ../$(tag)
fulllibname = libVeloDet.$(shlibsuffix)

VeloDetRootMap :: ${ROOTMAP_DIR}/$(rootmapfile)
	@:

${ROOTMAP_DIR}/$(rootmapfile) :: $(bin)$(fulllibname)
	@echo 'Generating rootmap file for $(fulllibname)'
	cd ../$(tag);$(genmap_cmd) -i $(fulllibname) -o ${ROOTMAP_DIR}/$(rootmapfile) $(VeloDetRootMap_genmapflags)

install :: VeloDetRootMapinstall
VeloDetRootMapinstall :: VeloDetRootMap

uninstall :: VeloDetRootMapuninstall
VeloDetRootMapuninstall :: VeloDetRootMapclean

VeloDetRootMapclean ::
	@echo 'Deleting $(rootmapfile)'
	@rm -f ${ROOTMAP_DIR}/$(rootmapfile)

#-- start of cleanup_header --------------

clean :: VeloDetRootMapclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloDetRootMapclean ::
#-- end of cleanup_header ---------------
