#-- start of make_header -----------------

#====================================
#  Library VeloAlgorithms
#
#   Generated Tue Oct 14 15:02:08 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloAlgorithms_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloAlgorithms_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloAlgorithms

VeloAlgorithms_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloAlgorithms = /tmp/CMT_$(VeloAlgorithms_tag)_VeloAlgorithms.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloAlgorithms = $(VeloAlgorithms_tag)_VeloAlgorithms.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloAlgorithms_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloAlgorithms = /tmp/CMT_$(VeloAlgorithms_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloAlgorithms = $(VeloAlgorithms_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloAlgorithms)

ifdef cmt_VeloAlgorithms_has_target_tag

ifdef READONLY
cmt_final_setup_VeloAlgorithms = /tmp/CMT_VeloAlgorithms_VeloAlgorithmssetup.make
cmt_local_VeloAlgorithms_makefile = /tmp/CMT_VeloAlgorithms$(cmt_lock_pid).make
else
cmt_final_setup_VeloAlgorithms = $(bin)VeloAlgorithms_VeloAlgorithmssetup.make
cmt_local_VeloAlgorithms_makefile = $(bin)VeloAlgorithms.make
endif

else

ifdef READONLY
cmt_final_setup_VeloAlgorithms = /tmp/CMT_VeloAlgorithmssetup.make
cmt_local_VeloAlgorithms_makefile = /tmp/CMT_VeloAlgorithms$(cmt_lock_pid).make
else
cmt_final_setup_VeloAlgorithms = $(bin)VeloAlgorithmssetup.make
cmt_local_VeloAlgorithms_makefile = $(bin)VeloAlgorithms.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloAlgorithmssetup.make
else
cmt_final_setup = $(bin)VeloAlgorithmssetup.make
endif

VeloAlgorithms ::


ifdef READONLY
VeloAlgorithms ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloAlgorithms'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloAlgorithms/
VeloAlgorithms::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

#-- start of libary_header ---------------

VeloAlgorithmslibname   = $(bin)$(library_prefix)VeloAlgorithms$(library_suffix)
VeloAlgorithmslib       = $(VeloAlgorithmslibname).a
VeloAlgorithmsstamp     = $(bin)VeloAlgorithms.stamp
VeloAlgorithmsshstamp   = $(bin)VeloAlgorithms.shstamp

VeloAlgorithms :: dirs  VeloAlgorithmsLIB
	@/bin/echo "------> VeloAlgorithms ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

VeloAlgorithmsLIB :: $(VeloAlgorithmslib) $(VeloAlgorithmsshstamp)
	@/bin/echo "------> VeloAlgorithms : library ok"

$(VeloAlgorithmslib) :: $(bin)MCVeloFEType.o $(bin)VeloAlgorithms_dll.o $(bin)VeloAlgorithms_load.o $(bin)VeloClusterMaker.o $(bin)VeloClusterMoni.o $(bin)VeloDataProcessor.o $(bin)VeloDigiMoni.o $(bin)VeloRawClustersMoni.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(VeloAlgorithmslib) $?
	$(lib_silent) $(ranlib) $(VeloAlgorithmslib)
	$(lib_silent) cat /dev/null >$(VeloAlgorithmsstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(VeloAlgorithmslibname).$(shlibsuffix) :: $(VeloAlgorithmslib) requirements $(use_requirements) $(VeloAlgorithmsstamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" VeloAlgorithms $(VeloAlgorithms_shlibflags)

$(VeloAlgorithmsshstamp) :: $(VeloAlgorithmslibname).$(shlibsuffix)
	@if test -f $(VeloAlgorithmslibname).$(shlibsuffix) ; then cat /dev/null >$(VeloAlgorithmsshstamp) ; fi

VeloAlgorithmsclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)MCVeloFEType.o $(bin)VeloAlgorithms_dll.o $(bin)VeloAlgorithms_load.o $(bin)VeloClusterMaker.o $(bin)VeloClusterMoni.o $(bin)VeloDataProcessor.o $(bin)VeloDigiMoni.o $(bin)VeloRawClustersMoni.o
	$(cleanup_silent) cd $(bin); /bin/rm -rf VeloAlgorithms_deps VeloAlgorithms_dependencies.make

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
VeloAlgorithmsinstallname = $(library_prefix)VeloAlgorithms$(library_suffix).$(shlibsuffix)

VeloAlgorithms :: VeloAlgorithmsinstall

install :: VeloAlgorithmsinstall

VeloAlgorithmsinstall :: $(install_dir)/$(VeloAlgorithmsinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(VeloAlgorithmsinstallname) :: $(bin)$(VeloAlgorithmsinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloAlgorithmsinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi

##VeloAlgorithmsclean :: VeloAlgorithmsuninstall

uninstall :: VeloAlgorithmsuninstall

VeloAlgorithmsuninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloAlgorithmsinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)VeloAlgorithms_dependencies.make :: dirs

ifndef QUICK
$(bin)VeloAlgorithms_dependencies.make :: $(src)*.cpp  requirements $(use_requirements) $(cmt_final_setup_VeloAlgorithms)
	@echo "------> (VeloAlgorithms.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) VeloAlgorithms -all_sources $${args}
endif

#$(VeloAlgorithms_dependencies)

-include $(bin)VeloAlgorithms_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)MCVeloFEType.o : $(MCVeloFEType_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)MCVeloFEType.o $(use_pp_cppflags) $(VeloAlgorithms_pp_cppflags) $(lib_VeloAlgorithms_pp_cppflags) $(MCVeloFEType_pp_cppflags) $(use_cppflags) $(VeloAlgorithms_cppflags) $(lib_VeloAlgorithms_cppflags) $(MCVeloFEType_cppflags) $(MCVeloFEType_cpp_cppflags)  $(src)MCVeloFEType.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloAlgorithms_dll.o : $(VeloAlgorithms_dll_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloAlgorithms_dll.o $(use_pp_cppflags) $(VeloAlgorithms_pp_cppflags) $(lib_VeloAlgorithms_pp_cppflags) $(VeloAlgorithms_dll_pp_cppflags) $(use_cppflags) $(VeloAlgorithms_cppflags) $(lib_VeloAlgorithms_cppflags) $(VeloAlgorithms_dll_cppflags) $(VeloAlgorithms_dll_cpp_cppflags)  $(src)VeloAlgorithms_dll.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloAlgorithms_load.o : $(VeloAlgorithms_load_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloAlgorithms_load.o $(use_pp_cppflags) $(VeloAlgorithms_pp_cppflags) $(lib_VeloAlgorithms_pp_cppflags) $(VeloAlgorithms_load_pp_cppflags) $(use_cppflags) $(VeloAlgorithms_cppflags) $(lib_VeloAlgorithms_cppflags) $(VeloAlgorithms_load_cppflags) $(VeloAlgorithms_load_cpp_cppflags)  $(src)VeloAlgorithms_load.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloClusterMaker.o : $(VeloClusterMaker_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloClusterMaker.o $(use_pp_cppflags) $(VeloAlgorithms_pp_cppflags) $(lib_VeloAlgorithms_pp_cppflags) $(VeloClusterMaker_pp_cppflags) $(use_cppflags) $(VeloAlgorithms_cppflags) $(lib_VeloAlgorithms_cppflags) $(VeloClusterMaker_cppflags) $(VeloClusterMaker_cpp_cppflags)  $(src)VeloClusterMaker.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloClusterMoni.o : $(VeloClusterMoni_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloClusterMoni.o $(use_pp_cppflags) $(VeloAlgorithms_pp_cppflags) $(lib_VeloAlgorithms_pp_cppflags) $(VeloClusterMoni_pp_cppflags) $(use_cppflags) $(VeloAlgorithms_cppflags) $(lib_VeloAlgorithms_cppflags) $(VeloClusterMoni_cppflags) $(VeloClusterMoni_cpp_cppflags)  $(src)VeloClusterMoni.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloDataProcessor.o : $(VeloDataProcessor_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloDataProcessor.o $(use_pp_cppflags) $(VeloAlgorithms_pp_cppflags) $(lib_VeloAlgorithms_pp_cppflags) $(VeloDataProcessor_pp_cppflags) $(use_cppflags) $(VeloAlgorithms_cppflags) $(lib_VeloAlgorithms_cppflags) $(VeloDataProcessor_cppflags) $(VeloDataProcessor_cpp_cppflags)  $(src)VeloDataProcessor.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloDigiMoni.o : $(VeloDigiMoni_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloDigiMoni.o $(use_pp_cppflags) $(VeloAlgorithms_pp_cppflags) $(lib_VeloAlgorithms_pp_cppflags) $(VeloDigiMoni_pp_cppflags) $(use_cppflags) $(VeloAlgorithms_cppflags) $(lib_VeloAlgorithms_cppflags) $(VeloDigiMoni_cppflags) $(VeloDigiMoni_cpp_cppflags)  $(src)VeloDigiMoni.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloRawClustersMoni.o : $(VeloRawClustersMoni_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloRawClustersMoni.o $(use_pp_cppflags) $(VeloAlgorithms_pp_cppflags) $(lib_VeloAlgorithms_pp_cppflags) $(VeloRawClustersMoni_pp_cppflags) $(use_cppflags) $(VeloAlgorithms_cppflags) $(lib_VeloAlgorithms_cppflags) $(VeloRawClustersMoni_cppflags) $(VeloRawClustersMoni_cpp_cppflags)  $(src)VeloRawClustersMoni.cpp

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: VeloAlgorithmsclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloAlgorithmsclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(binobj)$(library_prefix)VeloAlgorithms$(library_suffix).a $(binobj)$(library_prefix)VeloAlgorithms$(library_suffix).s? $(binobj)VeloAlgorithms.stamp $(binobj)VeloAlgorithms.shstamp
#-- end of cleanup_library ---------------

