#-- start of make_header -----------------

#====================================
#  Library VeloClusterDataMonitor
#
#   Generated Tue Oct 14 15:00:22 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloClusterDataMonitor_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloClusterDataMonitor_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloClusterDataMonitor

VeloClusterDataMonitor_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloClusterDataMonitor = /tmp/CMT_$(VeloClusterDataMonitor_tag)_VeloClusterDataMonitor.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloClusterDataMonitor = $(VeloClusterDataMonitor_tag)_VeloClusterDataMonitor.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloClusterDataMonitor_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloClusterDataMonitor = /tmp/CMT_$(VeloClusterDataMonitor_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloClusterDataMonitor = $(VeloClusterDataMonitor_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloClusterDataMonitor)

ifdef cmt_VeloClusterDataMonitor_has_target_tag

ifdef READONLY
cmt_final_setup_VeloClusterDataMonitor = /tmp/CMT_VeloClusterDataMonitor_VeloClusterDataMonitorsetup.make
cmt_local_VeloClusterDataMonitor_makefile = /tmp/CMT_VeloClusterDataMonitor$(cmt_lock_pid).make
else
cmt_final_setup_VeloClusterDataMonitor = $(bin)VeloClusterDataMonitor_VeloClusterDataMonitorsetup.make
cmt_local_VeloClusterDataMonitor_makefile = $(bin)VeloClusterDataMonitor.make
endif

else

ifdef READONLY
cmt_final_setup_VeloClusterDataMonitor = /tmp/CMT_VeloClusterDataMonitorsetup.make
cmt_local_VeloClusterDataMonitor_makefile = /tmp/CMT_VeloClusterDataMonitor$(cmt_lock_pid).make
else
cmt_final_setup_VeloClusterDataMonitor = $(bin)VeloClusterDataMonitorsetup.make
cmt_local_VeloClusterDataMonitor_makefile = $(bin)VeloClusterDataMonitor.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloClusterDataMonitorsetup.make
else
cmt_final_setup = $(bin)VeloClusterDataMonitorsetup.make
endif

VeloClusterDataMonitor ::


ifdef READONLY
VeloClusterDataMonitor ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloClusterDataMonitor'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloClusterDataMonitor/
VeloClusterDataMonitor::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

#-- start of libary_header ---------------

VeloClusterDataMonitorlibname   = $(bin)$(library_prefix)VeloClusterDataMonitor$(library_suffix)
VeloClusterDataMonitorlib       = $(VeloClusterDataMonitorlibname).a
VeloClusterDataMonitorstamp     = $(bin)VeloClusterDataMonitor.stamp
VeloClusterDataMonitorshstamp   = $(bin)VeloClusterDataMonitor.shstamp

VeloClusterDataMonitor :: dirs  VeloClusterDataMonitorLIB
	@/bin/echo "------> VeloClusterDataMonitor ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

VeloClusterDataMonitorLIB :: $(VeloClusterDataMonitorlib) $(VeloClusterDataMonitorshstamp)
	@/bin/echo "------> VeloClusterDataMonitor : library ok"

$(VeloClusterDataMonitorlib) :: $(bin)ClusterDataMoniUserHistos.o $(bin)VeloClusterDataMonitor.o $(bin)VeloClusterDataMonitor_dll.o $(bin)VeloClusterDataMonitor_load.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(VeloClusterDataMonitorlib) $?
	$(lib_silent) $(ranlib) $(VeloClusterDataMonitorlib)
	$(lib_silent) cat /dev/null >$(VeloClusterDataMonitorstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(VeloClusterDataMonitorlibname).$(shlibsuffix) :: $(VeloClusterDataMonitorlib) requirements $(use_requirements) $(VeloClusterDataMonitorstamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" VeloClusterDataMonitor $(VeloClusterDataMonitor_shlibflags)

$(VeloClusterDataMonitorshstamp) :: $(VeloClusterDataMonitorlibname).$(shlibsuffix)
	@if test -f $(VeloClusterDataMonitorlibname).$(shlibsuffix) ; then cat /dev/null >$(VeloClusterDataMonitorshstamp) ; fi

VeloClusterDataMonitorclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)ClusterDataMoniUserHistos.o $(bin)VeloClusterDataMonitor.o $(bin)VeloClusterDataMonitor_dll.o $(bin)VeloClusterDataMonitor_load.o
	$(cleanup_silent) cd $(bin); /bin/rm -rf VeloClusterDataMonitor_deps VeloClusterDataMonitor_dependencies.make

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
VeloClusterDataMonitorinstallname = $(library_prefix)VeloClusterDataMonitor$(library_suffix).$(shlibsuffix)

VeloClusterDataMonitor :: VeloClusterDataMonitorinstall

install :: VeloClusterDataMonitorinstall

VeloClusterDataMonitorinstall :: $(install_dir)/$(VeloClusterDataMonitorinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(VeloClusterDataMonitorinstallname) :: $(bin)$(VeloClusterDataMonitorinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloClusterDataMonitorinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi

##VeloClusterDataMonitorclean :: VeloClusterDataMonitoruninstall

uninstall :: VeloClusterDataMonitoruninstall

VeloClusterDataMonitoruninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloClusterDataMonitorinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)VeloClusterDataMonitor_dependencies.make :: dirs

ifndef QUICK
$(bin)VeloClusterDataMonitor_dependencies.make :: $(src)*.cpp  requirements $(use_requirements) $(cmt_final_setup_VeloClusterDataMonitor)
	@echo "------> (VeloClusterDataMonitor.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) VeloClusterDataMonitor -all_sources $${args}
endif

#$(VeloClusterDataMonitor_dependencies)

-include $(bin)VeloClusterDataMonitor_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)ClusterDataMoniUserHistos.o : $(ClusterDataMoniUserHistos_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)ClusterDataMoniUserHistos.o $(use_pp_cppflags) $(VeloClusterDataMonitor_pp_cppflags) $(lib_VeloClusterDataMonitor_pp_cppflags) $(ClusterDataMoniUserHistos_pp_cppflags) $(use_cppflags) $(VeloClusterDataMonitor_cppflags) $(lib_VeloClusterDataMonitor_cppflags) $(ClusterDataMoniUserHistos_cppflags) $(ClusterDataMoniUserHistos_cpp_cppflags)  $(src)ClusterDataMoniUserHistos.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloClusterDataMonitor.o : $(VeloClusterDataMonitor_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloClusterDataMonitor.o $(use_pp_cppflags) $(VeloClusterDataMonitor_pp_cppflags) $(lib_VeloClusterDataMonitor_pp_cppflags) $(VeloClusterDataMonitor_pp_cppflags) $(use_cppflags) $(VeloClusterDataMonitor_cppflags) $(lib_VeloClusterDataMonitor_cppflags) $(VeloClusterDataMonitor_cppflags) $(VeloClusterDataMonitor_cpp_cppflags)  $(src)VeloClusterDataMonitor.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloClusterDataMonitor_dll.o : $(VeloClusterDataMonitor_dll_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloClusterDataMonitor_dll.o $(use_pp_cppflags) $(VeloClusterDataMonitor_pp_cppflags) $(lib_VeloClusterDataMonitor_pp_cppflags) $(VeloClusterDataMonitor_dll_pp_cppflags) $(use_cppflags) $(VeloClusterDataMonitor_cppflags) $(lib_VeloClusterDataMonitor_cppflags) $(VeloClusterDataMonitor_dll_cppflags) $(VeloClusterDataMonitor_dll_cpp_cppflags)  $(src)VeloClusterDataMonitor_dll.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloClusterDataMonitor_load.o : $(VeloClusterDataMonitor_load_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloClusterDataMonitor_load.o $(use_pp_cppflags) $(VeloClusterDataMonitor_pp_cppflags) $(lib_VeloClusterDataMonitor_pp_cppflags) $(VeloClusterDataMonitor_load_pp_cppflags) $(use_cppflags) $(VeloClusterDataMonitor_cppflags) $(lib_VeloClusterDataMonitor_cppflags) $(VeloClusterDataMonitor_load_cppflags) $(VeloClusterDataMonitor_load_cpp_cppflags)  $(src)VeloClusterDataMonitor_load.cpp

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: VeloClusterDataMonitorclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloClusterDataMonitorclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(binobj)$(library_prefix)VeloClusterDataMonitor$(library_suffix).a $(binobj)$(library_prefix)VeloClusterDataMonitor$(library_suffix).s? $(binobj)VeloClusterDataMonitor.stamp $(binobj)VeloClusterDataMonitor.shstamp
#-- end of cleanup_library ---------------

