#-- start of make_header -----------------

#====================================
#  Document VeloDAQMergeMap
#
#   Generated Tue Oct 14 15:02:04 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloDAQMergeMap_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloDAQMergeMap_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloDAQMergeMap

VeloDAQ_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDAQMergeMap = /tmp/CMT_$(VeloDAQ_tag)_VeloDAQMergeMap.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDAQMergeMap = $(VeloDAQ_tag)_VeloDAQMergeMap.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloDAQ_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDAQMergeMap = /tmp/CMT_$(VeloDAQ_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDAQMergeMap = $(VeloDAQ_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloDAQMergeMap)

ifdef cmt_VeloDAQMergeMap_has_target_tag

ifdef READONLY
cmt_final_setup_VeloDAQMergeMap = /tmp/CMT_VeloDAQ_VeloDAQMergeMapsetup.make
cmt_local_VeloDAQMergeMap_makefile = /tmp/CMT_VeloDAQMergeMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloDAQMergeMap = $(bin)VeloDAQ_VeloDAQMergeMapsetup.make
cmt_local_VeloDAQMergeMap_makefile = $(bin)VeloDAQMergeMap.make
endif

else

ifdef READONLY
cmt_final_setup_VeloDAQMergeMap = /tmp/CMT_VeloDAQsetup.make
cmt_local_VeloDAQMergeMap_makefile = /tmp/CMT_VeloDAQMergeMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloDAQMergeMap = $(bin)VeloDAQsetup.make
cmt_local_VeloDAQMergeMap_makefile = $(bin)VeloDAQMergeMap.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloDAQsetup.make
else
cmt_final_setup = $(bin)VeloDAQsetup.make
endif

VeloDAQMergeMap ::


ifdef READONLY
VeloDAQMergeMap ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloDAQMergeMap'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloDAQMergeMap/
VeloDAQMergeMap::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

# File: cmt/fragments/merge_rootmap_header
# Author: Sebastien Binet (binet@cern.ch)

# Makefile fragment to merge a <library>.rootmap file into a single
# <project>.rootmap file in the (lib) install area
# If no InstallArea is present the fragment is dummy


.PHONY: VeloDAQMergeMap VeloDAQMergeMapclean

# default is already '#'
#genmap_comment_char := "'#'"

ifdef CMTINSTALLAREA
rootMapDir    := ${CMTINSTALLAREA}/$(tag)/lib
mergedRootMap := $(rootMapDir)/$(project).rootmap
stampRootMap  := $(rootMapDir)/VeloDAQ.rootmap.stamp
else
rootMapDir    := ../$(tag)
mergedRootMap := 
stampRootMap  :=
endif

rootMapRef    := ../$(tag)/VeloDAQ.rootmap

VeloDAQMergeMap :: $(stampRootMap) $(mergedRootMap)
	@:

$(stampRootMap) $(mergedRootMap) :: $(rootMapRef)
	@echo "Running merge_rootmap  VeloDAQMergeMap" 
	$(merge_rootmap_cmd) --do-merge \
         --input-file $(rootMapRef) --merged-file $(mergedRootMap)

VeloDAQMergeMapclean ::
	$(cleanup_silent) $(merge_rootmap_cmd) --un-merge \
         --input-file $(rootMapRef) --merged-file $(mergedRootMap) ;
	$(cleanup_silent) $(uninstall_command) $(stampRootMap)
libVeloDAQ_so_dependencies = ../slc4_ia32_gcc34/libVeloDAQ.so
#-- start of cleanup_header --------------

clean :: VeloDAQMergeMapclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloDAQMergeMapclean ::
#-- end of cleanup_header ---------------
