// $Id: VeloTELL1Algorithms_load.cpp,v 1.10 2007/08/27 13:13:22 szumlat Exp $
// Include files 


#include "GaudiKernel/DeclareFactoryEntries.h"

// Declare  OBJECT / CONVERTER / ALGORITHM / TOOL using the macros DECLARE_xxx
// The statements are like that:
//
// DECLARE_ALGORITHM( MyAlgorithm );
// DECLARE_TOOL( MyTool );
// DECLARE_OBJECT( DataObject );
//
// They should be inside the 'DECLARE_FACTORY_ENTRIES' body.

DECLARE_FACTORY_ENTRIES( VeloTELL1Algorithms ) {
  DECLARE_ALGORITHM ( VeloTELL1Algorithm );
  DECLARE_ALGORITHM ( VeloTELL1DataProcessor );
  DECLARE_ALGORITHM ( VeloTELL1EmulatorInit );
  DECLARE_ALGORITHM ( VeloTELL1ClusterMaker );
  DECLARE_ALGORITHM ( VeloTELL1LCMS );
  DECLARE_ALGORITHM ( VeloTELL1Reordering );
  DECLARE_ALGORITHM ( VeloTELL1PedestalSubtractor );
  DECLARE_ALGORITHM ( VeloClusterCompare );
  DECLARE_ALGORITHM ( VeloClusterizationAdaptor );
  DECLARE_ALGORITHM ( dataTranslator );
  DECLARE_ALGORITHM ( VeloXTalkComputer );
  DECLARE_ALGORITHM ( VeloTELL1CableFIRFilter );
}

