#-- start of make_header -----------------

#====================================
#  Library VeloTELL1Checkers
#
#   Generated Tue Oct 14 15:00:35 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloTELL1Checkers_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloTELL1Checkers_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloTELL1Checkers

VeloTELL1Checkers_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloTELL1Checkers = /tmp/CMT_$(VeloTELL1Checkers_tag)_VeloTELL1Checkers.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloTELL1Checkers = $(VeloTELL1Checkers_tag)_VeloTELL1Checkers.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloTELL1Checkers_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloTELL1Checkers = /tmp/CMT_$(VeloTELL1Checkers_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloTELL1Checkers = $(VeloTELL1Checkers_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloTELL1Checkers)

ifdef cmt_VeloTELL1Checkers_has_target_tag

ifdef READONLY
cmt_final_setup_VeloTELL1Checkers = /tmp/CMT_VeloTELL1Checkers_VeloTELL1Checkerssetup.make
cmt_local_VeloTELL1Checkers_makefile = /tmp/CMT_VeloTELL1Checkers$(cmt_lock_pid).make
else
cmt_final_setup_VeloTELL1Checkers = $(bin)VeloTELL1Checkers_VeloTELL1Checkerssetup.make
cmt_local_VeloTELL1Checkers_makefile = $(bin)VeloTELL1Checkers.make
endif

else

ifdef READONLY
cmt_final_setup_VeloTELL1Checkers = /tmp/CMT_VeloTELL1Checkerssetup.make
cmt_local_VeloTELL1Checkers_makefile = /tmp/CMT_VeloTELL1Checkers$(cmt_lock_pid).make
else
cmt_final_setup_VeloTELL1Checkers = $(bin)VeloTELL1Checkerssetup.make
cmt_local_VeloTELL1Checkers_makefile = $(bin)VeloTELL1Checkers.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloTELL1Checkerssetup.make
else
cmt_final_setup = $(bin)VeloTELL1Checkerssetup.make
endif

VeloTELL1Checkers ::


ifdef READONLY
VeloTELL1Checkers ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloTELL1Checkers'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloTELL1Checkers/
VeloTELL1Checkers::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

#-- start of libary_header ---------------

VeloTELL1Checkerslibname   = $(bin)$(library_prefix)VeloTELL1Checkers$(library_suffix)
VeloTELL1Checkerslib       = $(VeloTELL1Checkerslibname).a
VeloTELL1Checkersstamp     = $(bin)VeloTELL1Checkers.stamp
VeloTELL1Checkersshstamp   = $(bin)VeloTELL1Checkers.shstamp

VeloTELL1Checkers :: dirs  VeloTELL1CheckersLIB
	@/bin/echo "------> VeloTELL1Checkers ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

VeloTELL1CheckersLIB :: $(VeloTELL1Checkerslib) $(VeloTELL1Checkersshstamp)
	@/bin/echo "------> VeloTELL1Checkers : library ok"

$(VeloTELL1Checkerslib) :: $(bin)VeloBitLimitMoni.o $(bin)VeloChannelReordererMoni.o $(bin)VeloLCMSMoni.o $(bin)VeloTELL1Checkers_dll.o $(bin)VeloPedestalSubtractorMoni.o $(bin)VeloTELL1ADCReader.o $(bin)VeloTELL1Checkers_load.o $(bin)VeloTELL1ErrorBankReader.o $(bin)VeloTELL1PedestalsReader.o $(bin)VeloTELL1SimMoni.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(VeloTELL1Checkerslib) $?
	$(lib_silent) $(ranlib) $(VeloTELL1Checkerslib)
	$(lib_silent) cat /dev/null >$(VeloTELL1Checkersstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(VeloTELL1Checkerslibname).$(shlibsuffix) :: $(VeloTELL1Checkerslib) requirements $(use_requirements) $(VeloTELL1Checkersstamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" VeloTELL1Checkers $(VeloTELL1Checkers_shlibflags)

$(VeloTELL1Checkersshstamp) :: $(VeloTELL1Checkerslibname).$(shlibsuffix)
	@if test -f $(VeloTELL1Checkerslibname).$(shlibsuffix) ; then cat /dev/null >$(VeloTELL1Checkersshstamp) ; fi

VeloTELL1Checkersclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)VeloBitLimitMoni.o $(bin)VeloChannelReordererMoni.o $(bin)VeloLCMSMoni.o $(bin)VeloTELL1Checkers_dll.o $(bin)VeloPedestalSubtractorMoni.o $(bin)VeloTELL1ADCReader.o $(bin)VeloTELL1Checkers_load.o $(bin)VeloTELL1ErrorBankReader.o $(bin)VeloTELL1PedestalsReader.o $(bin)VeloTELL1SimMoni.o
	$(cleanup_silent) cd $(bin); /bin/rm -rf VeloTELL1Checkers_deps VeloTELL1Checkers_dependencies.make

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
VeloTELL1Checkersinstallname = $(library_prefix)VeloTELL1Checkers$(library_suffix).$(shlibsuffix)

VeloTELL1Checkers :: VeloTELL1Checkersinstall

install :: VeloTELL1Checkersinstall

VeloTELL1Checkersinstall :: $(install_dir)/$(VeloTELL1Checkersinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(VeloTELL1Checkersinstallname) :: $(bin)$(VeloTELL1Checkersinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloTELL1Checkersinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi

##VeloTELL1Checkersclean :: VeloTELL1Checkersuninstall

uninstall :: VeloTELL1Checkersuninstall

VeloTELL1Checkersuninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloTELL1Checkersinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)VeloTELL1Checkers_dependencies.make :: dirs

ifndef QUICK
$(bin)VeloTELL1Checkers_dependencies.make :: $(src)*.cpp  requirements $(use_requirements) $(cmt_final_setup_VeloTELL1Checkers)
	@echo "------> (VeloTELL1Checkers.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) VeloTELL1Checkers -all_sources $${args}
endif

#$(VeloTELL1Checkers_dependencies)

-include $(bin)VeloTELL1Checkers_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloBitLimitMoni.o : $(VeloBitLimitMoni_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloBitLimitMoni.o $(use_pp_cppflags) $(VeloTELL1Checkers_pp_cppflags) $(lib_VeloTELL1Checkers_pp_cppflags) $(VeloBitLimitMoni_pp_cppflags) $(use_cppflags) $(VeloTELL1Checkers_cppflags) $(lib_VeloTELL1Checkers_cppflags) $(VeloBitLimitMoni_cppflags) $(VeloBitLimitMoni_cpp_cppflags)  $(src)VeloBitLimitMoni.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloChannelReordererMoni.o : $(VeloChannelReordererMoni_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloChannelReordererMoni.o $(use_pp_cppflags) $(VeloTELL1Checkers_pp_cppflags) $(lib_VeloTELL1Checkers_pp_cppflags) $(VeloChannelReordererMoni_pp_cppflags) $(use_cppflags) $(VeloTELL1Checkers_cppflags) $(lib_VeloTELL1Checkers_cppflags) $(VeloChannelReordererMoni_cppflags) $(VeloChannelReordererMoni_cpp_cppflags)  $(src)VeloChannelReordererMoni.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloLCMSMoni.o : $(VeloLCMSMoni_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloLCMSMoni.o $(use_pp_cppflags) $(VeloTELL1Checkers_pp_cppflags) $(lib_VeloTELL1Checkers_pp_cppflags) $(VeloLCMSMoni_pp_cppflags) $(use_cppflags) $(VeloTELL1Checkers_cppflags) $(lib_VeloTELL1Checkers_cppflags) $(VeloLCMSMoni_cppflags) $(VeloLCMSMoni_cpp_cppflags)  $(src)VeloLCMSMoni.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1Checkers_dll.o : $(VeloTELL1Checkers_dll_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1Checkers_dll.o $(use_pp_cppflags) $(VeloTELL1Checkers_pp_cppflags) $(lib_VeloTELL1Checkers_pp_cppflags) $(VeloTELL1Checkers_dll_pp_cppflags) $(use_cppflags) $(VeloTELL1Checkers_cppflags) $(lib_VeloTELL1Checkers_cppflags) $(VeloTELL1Checkers_dll_cppflags) $(VeloTELL1Checkers_dll_cpp_cppflags)  $(src)VeloTELL1Checkers_dll.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloPedestalSubtractorMoni.o : $(VeloPedestalSubtractorMoni_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloPedestalSubtractorMoni.o $(use_pp_cppflags) $(VeloTELL1Checkers_pp_cppflags) $(lib_VeloTELL1Checkers_pp_cppflags) $(VeloPedestalSubtractorMoni_pp_cppflags) $(use_cppflags) $(VeloTELL1Checkers_cppflags) $(lib_VeloTELL1Checkers_cppflags) $(VeloPedestalSubtractorMoni_cppflags) $(VeloPedestalSubtractorMoni_cpp_cppflags)  $(src)VeloPedestalSubtractorMoni.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1ADCReader.o : $(VeloTELL1ADCReader_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1ADCReader.o $(use_pp_cppflags) $(VeloTELL1Checkers_pp_cppflags) $(lib_VeloTELL1Checkers_pp_cppflags) $(VeloTELL1ADCReader_pp_cppflags) $(use_cppflags) $(VeloTELL1Checkers_cppflags) $(lib_VeloTELL1Checkers_cppflags) $(VeloTELL1ADCReader_cppflags) $(VeloTELL1ADCReader_cpp_cppflags)  $(src)VeloTELL1ADCReader.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1Checkers_load.o : $(VeloTELL1Checkers_load_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1Checkers_load.o $(use_pp_cppflags) $(VeloTELL1Checkers_pp_cppflags) $(lib_VeloTELL1Checkers_pp_cppflags) $(VeloTELL1Checkers_load_pp_cppflags) $(use_cppflags) $(VeloTELL1Checkers_cppflags) $(lib_VeloTELL1Checkers_cppflags) $(VeloTELL1Checkers_load_cppflags) $(VeloTELL1Checkers_load_cpp_cppflags)  $(src)VeloTELL1Checkers_load.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1ErrorBankReader.o : $(VeloTELL1ErrorBankReader_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1ErrorBankReader.o $(use_pp_cppflags) $(VeloTELL1Checkers_pp_cppflags) $(lib_VeloTELL1Checkers_pp_cppflags) $(VeloTELL1ErrorBankReader_pp_cppflags) $(use_cppflags) $(VeloTELL1Checkers_cppflags) $(lib_VeloTELL1Checkers_cppflags) $(VeloTELL1ErrorBankReader_cppflags) $(VeloTELL1ErrorBankReader_cpp_cppflags)  $(src)VeloTELL1ErrorBankReader.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1PedestalsReader.o : $(VeloTELL1PedestalsReader_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1PedestalsReader.o $(use_pp_cppflags) $(VeloTELL1Checkers_pp_cppflags) $(lib_VeloTELL1Checkers_pp_cppflags) $(VeloTELL1PedestalsReader_pp_cppflags) $(use_cppflags) $(VeloTELL1Checkers_cppflags) $(lib_VeloTELL1Checkers_cppflags) $(VeloTELL1PedestalsReader_cppflags) $(VeloTELL1PedestalsReader_cpp_cppflags)  $(src)VeloTELL1PedestalsReader.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1SimMoni.o : $(VeloTELL1SimMoni_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1SimMoni.o $(use_pp_cppflags) $(VeloTELL1Checkers_pp_cppflags) $(lib_VeloTELL1Checkers_pp_cppflags) $(VeloTELL1SimMoni_pp_cppflags) $(use_cppflags) $(VeloTELL1Checkers_cppflags) $(lib_VeloTELL1Checkers_cppflags) $(VeloTELL1SimMoni_cppflags) $(VeloTELL1SimMoni_cpp_cppflags)  $(src)VeloTELL1SimMoni.cpp

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: VeloTELL1Checkersclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloTELL1Checkersclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(binobj)$(library_prefix)VeloTELL1Checkers$(library_suffix).a $(binobj)$(library_prefix)VeloTELL1Checkers$(library_suffix).s? $(binobj)VeloTELL1Checkers.stamp $(binobj)VeloTELL1Checkers.shstamp
#-- end of cleanup_library ---------------

