#-- start of make_header -----------------

#====================================
#  Document VeloTELL1CheckersMergeMap
#
#   Generated Tue Oct 14 15:01:01 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloTELL1CheckersMergeMap_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloTELL1CheckersMergeMap_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloTELL1CheckersMergeMap

VeloTELL1Checkers_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloTELL1CheckersMergeMap = /tmp/CMT_$(VeloTELL1Checkers_tag)_VeloTELL1CheckersMergeMap.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloTELL1CheckersMergeMap = $(VeloTELL1Checkers_tag)_VeloTELL1CheckersMergeMap.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloTELL1Checkers_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloTELL1CheckersMergeMap = /tmp/CMT_$(VeloTELL1Checkers_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloTELL1CheckersMergeMap = $(VeloTELL1Checkers_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloTELL1CheckersMergeMap)

ifdef cmt_VeloTELL1CheckersMergeMap_has_target_tag

ifdef READONLY
cmt_final_setup_VeloTELL1CheckersMergeMap = /tmp/CMT_VeloTELL1Checkers_VeloTELL1CheckersMergeMapsetup.make
cmt_local_VeloTELL1CheckersMergeMap_makefile = /tmp/CMT_VeloTELL1CheckersMergeMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloTELL1CheckersMergeMap = $(bin)VeloTELL1Checkers_VeloTELL1CheckersMergeMapsetup.make
cmt_local_VeloTELL1CheckersMergeMap_makefile = $(bin)VeloTELL1CheckersMergeMap.make
endif

else

ifdef READONLY
cmt_final_setup_VeloTELL1CheckersMergeMap = /tmp/CMT_VeloTELL1Checkerssetup.make
cmt_local_VeloTELL1CheckersMergeMap_makefile = /tmp/CMT_VeloTELL1CheckersMergeMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloTELL1CheckersMergeMap = $(bin)VeloTELL1Checkerssetup.make
cmt_local_VeloTELL1CheckersMergeMap_makefile = $(bin)VeloTELL1CheckersMergeMap.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloTELL1Checkerssetup.make
else
cmt_final_setup = $(bin)VeloTELL1Checkerssetup.make
endif

VeloTELL1CheckersMergeMap ::


ifdef READONLY
VeloTELL1CheckersMergeMap ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloTELL1CheckersMergeMap'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloTELL1CheckersMergeMap/
VeloTELL1CheckersMergeMap::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

# File: cmt/fragments/merge_rootmap_header
# Author: Sebastien Binet (binet@cern.ch)

# Makefile fragment to merge a <library>.rootmap file into a single
# <project>.rootmap file in the (lib) install area
# If no InstallArea is present the fragment is dummy


.PHONY: VeloTELL1CheckersMergeMap VeloTELL1CheckersMergeMapclean

# default is already '#'
#genmap_comment_char := "'#'"

ifdef CMTINSTALLAREA
rootMapDir    := ${CMTINSTALLAREA}/$(tag)/lib
mergedRootMap := $(rootMapDir)/$(project).rootmap
stampRootMap  := $(rootMapDir)/VeloTELL1Checkers.rootmap.stamp
else
rootMapDir    := ../$(tag)
mergedRootMap := 
stampRootMap  :=
endif

rootMapRef    := ../$(tag)/VeloTELL1Checkers.rootmap

VeloTELL1CheckersMergeMap :: $(stampRootMap) $(mergedRootMap)
	@:

$(stampRootMap) $(mergedRootMap) :: $(rootMapRef)
	@echo "Running merge_rootmap  VeloTELL1CheckersMergeMap" 
	$(merge_rootmap_cmd) --do-merge \
         --input-file $(rootMapRef) --merged-file $(mergedRootMap)

VeloTELL1CheckersMergeMapclean ::
	$(cleanup_silent) $(merge_rootmap_cmd) --un-merge \
         --input-file $(rootMapRef) --merged-file $(mergedRootMap) ;
	$(cleanup_silent) $(uninstall_command) $(stampRootMap)
libVeloTELL1Checkers_so_dependencies = ../slc4_ia32_gcc34/libVeloTELL1Checkers.so
#-- start of cleanup_header --------------

clean :: VeloTELL1CheckersMergeMapclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloTELL1CheckersMergeMapclean ::
#-- end of cleanup_header ---------------
