// $Id: VeloTELL1Checkers_load.cpp,v 1.3 2007/08/26 19:20:05 szumlat Exp $
// Include files 


#include "GaudiKernel/DeclareFactoryEntries.h"

// Declare  OBJECT / CONVERTER / ALGORITHM / TOOL using the macros DECLARE_xxx
// The statements are like that:
//
// DECLARE_ALGORITHM( MyAlgorithm );
// DECLARE_TOOL( MyTool );
// DECLARE_OBJECT( DataObject );
//
// They should be inside the 'DECLARE_FACTORY_ENTRIES' body.

DECLARE_FACTORY_ENTRIES( VeloTELL1Checkers ) {
  DECLARE_ALGORITHM ( VeloTELL1SimMoni );
  DECLARE_ALGORITHM ( VeloPedestalSubtractorMoni );
  DECLARE_ALGORITHM ( VeloBitLimitMoni );
  DECLARE_ALGORITHM ( VeloChannelReordererMoni );
  DECLARE_ALGORITHM ( VeloLCMSMoni );
  DECLARE_ALGORITHM ( VeloTELL1ADCReader );
  DECLARE_ALGORITHM ( VeloTELL1ErrorBankReader );
  DECLARE_ALGORITHM ( VeloTELL1PedestalsReader );
}

