#-- start of make_header -----------------

#====================================
#  Library VeloTELL1Decoding
#
#   Generated Tue Oct 14 15:02:23 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloTELL1Decoding_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloTELL1Decoding_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloTELL1Decoding

VeloTELL1Decoding_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloTELL1Decoding = /tmp/CMT_$(VeloTELL1Decoding_tag)_VeloTELL1Decoding.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloTELL1Decoding = $(VeloTELL1Decoding_tag)_VeloTELL1Decoding.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloTELL1Decoding_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloTELL1Decoding = /tmp/CMT_$(VeloTELL1Decoding_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloTELL1Decoding = $(VeloTELL1Decoding_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloTELL1Decoding)

ifdef cmt_VeloTELL1Decoding_has_target_tag

ifdef READONLY
cmt_final_setup_VeloTELL1Decoding = /tmp/CMT_VeloTELL1Decoding_VeloTELL1Decodingsetup.make
cmt_local_VeloTELL1Decoding_makefile = /tmp/CMT_VeloTELL1Decoding$(cmt_lock_pid).make
else
cmt_final_setup_VeloTELL1Decoding = $(bin)VeloTELL1Decoding_VeloTELL1Decodingsetup.make
cmt_local_VeloTELL1Decoding_makefile = $(bin)VeloTELL1Decoding.make
endif

else

ifdef READONLY
cmt_final_setup_VeloTELL1Decoding = /tmp/CMT_VeloTELL1Decodingsetup.make
cmt_local_VeloTELL1Decoding_makefile = /tmp/CMT_VeloTELL1Decoding$(cmt_lock_pid).make
else
cmt_final_setup_VeloTELL1Decoding = $(bin)VeloTELL1Decodingsetup.make
cmt_local_VeloTELL1Decoding_makefile = $(bin)VeloTELL1Decoding.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloTELL1Decodingsetup.make
else
cmt_final_setup = $(bin)VeloTELL1Decodingsetup.make
endif

VeloTELL1Decoding ::


ifdef READONLY
VeloTELL1Decoding ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloTELL1Decoding'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloTELL1Decoding/
VeloTELL1Decoding::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

#-- start of libary_header ---------------

VeloTELL1Decodinglibname   = $(bin)$(library_prefix)VeloTELL1Decoding$(library_suffix)
VeloTELL1Decodinglib       = $(VeloTELL1Decodinglibname).a
VeloTELL1Decodingstamp     = $(bin)VeloTELL1Decoding.stamp
VeloTELL1Decodingshstamp   = $(bin)VeloTELL1Decoding.shstamp

VeloTELL1Decoding :: dirs  VeloTELL1DecodingLIB
	@/bin/echo "------> VeloTELL1Decoding ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

VeloTELL1DecodingLIB :: $(VeloTELL1Decodinglib) $(VeloTELL1Decodingshstamp)
	@/bin/echo "------> VeloTELL1Decoding : library ok"

$(VeloTELL1Decodinglib) :: $(bin)CopyTELL1RawBank.o $(bin)DecodeVeloFullRawBuffer.o $(bin)Decoder.o $(bin)PrepareVeloFullRawBuffer.o $(bin)RemoveTELL1RawBank.o $(bin)TELL1BinaryOutputChecker.o $(bin)VeloTELL1Decoding_dll.o $(bin)VeloTELL1Decoding_load.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(VeloTELL1Decodinglib) $?
	$(lib_silent) $(ranlib) $(VeloTELL1Decodinglib)
	$(lib_silent) cat /dev/null >$(VeloTELL1Decodingstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(VeloTELL1Decodinglibname).$(shlibsuffix) :: $(VeloTELL1Decodinglib) requirements $(use_requirements) $(VeloTELL1Decodingstamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" VeloTELL1Decoding $(VeloTELL1Decoding_shlibflags)

$(VeloTELL1Decodingshstamp) :: $(VeloTELL1Decodinglibname).$(shlibsuffix)
	@if test -f $(VeloTELL1Decodinglibname).$(shlibsuffix) ; then cat /dev/null >$(VeloTELL1Decodingshstamp) ; fi

VeloTELL1Decodingclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)CopyTELL1RawBank.o $(bin)DecodeVeloFullRawBuffer.o $(bin)Decoder.o $(bin)PrepareVeloFullRawBuffer.o $(bin)RemoveTELL1RawBank.o $(bin)TELL1BinaryOutputChecker.o $(bin)VeloTELL1Decoding_dll.o $(bin)VeloTELL1Decoding_load.o
	$(cleanup_silent) cd $(bin); /bin/rm -rf VeloTELL1Decoding_deps VeloTELL1Decoding_dependencies.make

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
VeloTELL1Decodinginstallname = $(library_prefix)VeloTELL1Decoding$(library_suffix).$(shlibsuffix)

VeloTELL1Decoding :: VeloTELL1Decodinginstall

install :: VeloTELL1Decodinginstall

VeloTELL1Decodinginstall :: $(install_dir)/$(VeloTELL1Decodinginstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(VeloTELL1Decodinginstallname) :: $(bin)$(VeloTELL1Decodinginstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloTELL1Decodinginstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi

##VeloTELL1Decodingclean :: VeloTELL1Decodinguninstall

uninstall :: VeloTELL1Decodinguninstall

VeloTELL1Decodinguninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloTELL1Decodinginstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)VeloTELL1Decoding_dependencies.make :: dirs

ifndef QUICK
$(bin)VeloTELL1Decoding_dependencies.make :: $(src)*.cpp  requirements $(use_requirements) $(cmt_final_setup_VeloTELL1Decoding)
	@echo "------> (VeloTELL1Decoding.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) VeloTELL1Decoding -all_sources $${args}
endif

#$(VeloTELL1Decoding_dependencies)

-include $(bin)VeloTELL1Decoding_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)CopyTELL1RawBank.o : $(CopyTELL1RawBank_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)CopyTELL1RawBank.o $(use_pp_cppflags) $(VeloTELL1Decoding_pp_cppflags) $(lib_VeloTELL1Decoding_pp_cppflags) $(CopyTELL1RawBank_pp_cppflags) $(use_cppflags) $(VeloTELL1Decoding_cppflags) $(lib_VeloTELL1Decoding_cppflags) $(CopyTELL1RawBank_cppflags) $(CopyTELL1RawBank_cpp_cppflags)  $(src)CopyTELL1RawBank.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)DecodeVeloFullRawBuffer.o : $(DecodeVeloFullRawBuffer_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)DecodeVeloFullRawBuffer.o $(use_pp_cppflags) $(VeloTELL1Decoding_pp_cppflags) $(lib_VeloTELL1Decoding_pp_cppflags) $(DecodeVeloFullRawBuffer_pp_cppflags) $(use_cppflags) $(VeloTELL1Decoding_cppflags) $(lib_VeloTELL1Decoding_cppflags) $(DecodeVeloFullRawBuffer_cppflags) $(DecodeVeloFullRawBuffer_cpp_cppflags)  $(src)DecodeVeloFullRawBuffer.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)Decoder.o : $(Decoder_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)Decoder.o $(use_pp_cppflags) $(VeloTELL1Decoding_pp_cppflags) $(lib_VeloTELL1Decoding_pp_cppflags) $(Decoder_pp_cppflags) $(use_cppflags) $(VeloTELL1Decoding_cppflags) $(lib_VeloTELL1Decoding_cppflags) $(Decoder_cppflags) $(Decoder_cpp_cppflags)  $(src)Decoder.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)PrepareVeloFullRawBuffer.o : $(PrepareVeloFullRawBuffer_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)PrepareVeloFullRawBuffer.o $(use_pp_cppflags) $(VeloTELL1Decoding_pp_cppflags) $(lib_VeloTELL1Decoding_pp_cppflags) $(PrepareVeloFullRawBuffer_pp_cppflags) $(use_cppflags) $(VeloTELL1Decoding_cppflags) $(lib_VeloTELL1Decoding_cppflags) $(PrepareVeloFullRawBuffer_cppflags) $(PrepareVeloFullRawBuffer_cpp_cppflags)  $(src)PrepareVeloFullRawBuffer.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)RemoveTELL1RawBank.o : $(RemoveTELL1RawBank_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)RemoveTELL1RawBank.o $(use_pp_cppflags) $(VeloTELL1Decoding_pp_cppflags) $(lib_VeloTELL1Decoding_pp_cppflags) $(RemoveTELL1RawBank_pp_cppflags) $(use_cppflags) $(VeloTELL1Decoding_cppflags) $(lib_VeloTELL1Decoding_cppflags) $(RemoveTELL1RawBank_cppflags) $(RemoveTELL1RawBank_cpp_cppflags)  $(src)RemoveTELL1RawBank.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)TELL1BinaryOutputChecker.o : $(TELL1BinaryOutputChecker_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)TELL1BinaryOutputChecker.o $(use_pp_cppflags) $(VeloTELL1Decoding_pp_cppflags) $(lib_VeloTELL1Decoding_pp_cppflags) $(TELL1BinaryOutputChecker_pp_cppflags) $(use_cppflags) $(VeloTELL1Decoding_cppflags) $(lib_VeloTELL1Decoding_cppflags) $(TELL1BinaryOutputChecker_cppflags) $(TELL1BinaryOutputChecker_cpp_cppflags)  $(src)TELL1BinaryOutputChecker.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1Decoding_dll.o : $(VeloTELL1Decoding_dll_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1Decoding_dll.o $(use_pp_cppflags) $(VeloTELL1Decoding_pp_cppflags) $(lib_VeloTELL1Decoding_pp_cppflags) $(VeloTELL1Decoding_dll_pp_cppflags) $(use_cppflags) $(VeloTELL1Decoding_cppflags) $(lib_VeloTELL1Decoding_cppflags) $(VeloTELL1Decoding_dll_cppflags) $(VeloTELL1Decoding_dll_cpp_cppflags)  $(src)VeloTELL1Decoding_dll.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1Decoding_load.o : $(VeloTELL1Decoding_load_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1Decoding_load.o $(use_pp_cppflags) $(VeloTELL1Decoding_pp_cppflags) $(lib_VeloTELL1Decoding_pp_cppflags) $(VeloTELL1Decoding_load_pp_cppflags) $(use_cppflags) $(VeloTELL1Decoding_cppflags) $(lib_VeloTELL1Decoding_cppflags) $(VeloTELL1Decoding_load_cppflags) $(VeloTELL1Decoding_load_cpp_cppflags)  $(src)VeloTELL1Decoding_load.cpp

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: VeloTELL1Decodingclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloTELL1Decodingclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(binobj)$(library_prefix)VeloTELL1Decoding$(library_suffix).a $(binobj)$(library_prefix)VeloTELL1Decoding$(library_suffix).s? $(binobj)VeloTELL1Decoding.stamp $(binobj)VeloTELL1Decoding.shstamp
#-- end of cleanup_library ---------------

