#ifndef VETRASYS_DETDICT_H 
#define VETRASYS_DETDICT_H 1
// ============================================================================
#include <GaudiKernel/KeyedContainer.h>

#include "Event/VeloFullBank.h"
#include "Event/ErrorBank.h"
#include "Event/EvtInfo.h"
#include "Event/VeloProcessInfo.h"
#include "Event/VeloODINBank.h"

ObjectVector<EvtInfo> m_0;
ObjectVector<ErrorBank> m_2;
ObjectVector<VeloFullBank> m_3;
ObjectVector<VeloProcessInfo> m_4;
ObjectVector<VeloODINBank> m_5;

KeyedContainer<EvtInfo, Containers::HashMap> k_11; 
KeyedContainer<ErrorBank, Containers::HashMap> k_12; 
KeyedContainer<VeloFullBank, Containers::HashMap> k_13; 


// ============================================================================
#endif // VETRASYS_DETDICT_H
// ============================================================================

