#-- start of make_header -----------------

#====================================
#  Document VetraGen
#
#   Generated Tue Oct 14 15:02:38 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VetraGen_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VetraGen_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VetraGen

VetraSys_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VetraGen = /tmp/CMT_$(VetraSys_tag)_VetraGen.make$(cmt_lock_pid)
else
cmt_local_tagfile_VetraGen = $(VetraSys_tag)_VetraGen.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VetraSys_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VetraGen = /tmp/CMT_$(VetraSys_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VetraGen = $(VetraSys_tag).make
endif

endif

-include $(cmt_local_tagfile_VetraGen)

ifdef cmt_VetraGen_has_target_tag

ifdef READONLY
cmt_final_setup_VetraGen = /tmp/CMT_VetraSys_VetraGensetup.make
cmt_local_VetraGen_makefile = /tmp/CMT_VetraGen$(cmt_lock_pid).make
else
cmt_final_setup_VetraGen = $(bin)VetraSys_VetraGensetup.make
cmt_local_VetraGen_makefile = $(bin)VetraGen.make
endif

else

ifdef READONLY
cmt_final_setup_VetraGen = /tmp/CMT_VetraSyssetup.make
cmt_local_VetraGen_makefile = /tmp/CMT_VetraGen$(cmt_lock_pid).make
else
cmt_final_setup_VetraGen = $(bin)VetraSyssetup.make
cmt_local_VetraGen_makefile = $(bin)VetraGen.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VetraSyssetup.make
else
cmt_final_setup = $(bin)VetraSyssetup.make
endif

VetraGen ::


ifdef READONLY
VetraGen ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VetraGen'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VetraGen/
VetraGen::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

#-- start of dependency ------------------

$(bin)VetraGen_dependencies.make :: dirs

ifndef QUICK
$(bin)VetraGen_dependencies.make :: /home/dpennica/lhcbsoft/Vetra_v5r0/VetraSys/v5r0/dict/VetraDict.h  requirements $(use_requirements) $(cmt_final_setup_VetraGen)
	@echo "------> (VetraGen.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) VetraGen -all_sources $${args}
endif

#$(VetraGen_dependencies)

-include $(bin)VetraGen_dependencies.make

#-- end of dependency -------------------
# File: cmt/fragments/reflex_dictionary_generator
# Author: Pere Mato

# Makefile fragment to generate the Reflex dictionary together with a local rootmap file
# and a merged file in the installation area if InstallArea is present


.PHONY: VetraGen VetraGenclean MergeRootMap MergeRootMapclean

ppcmd=-I

dictdir=../$(tag)/dict/Vetra
gensrcdict=$(dictdir)/VetraDict_dict.cpp
ifdef Vetra_rootmap
  rootmapname=VetraDict.rootmap
  rootmapdict=$(dictdir)/$(rootmapname)
  rootmapopts=--rootmap=$(rootmapname) --rootmap-lib=$(library_prefix)VetraDict.$(shlibsuffix)
else
  rootmapdict=
endif

VetraGen ::  $(gensrcdict) $(rootmapdict) MergeRootMap
	@:

$(gensrcdict) $(rootmapdict) :: $(VetraDict_h_dependencies) $(Vetra_reflex_selection_file)
	echo $@ VetraDict.h
	@-mkdir -p $(dictdir)
	$(genreflex_cmd) /home/dpennica/lhcbsoft/Vetra_v5r0/VetraSys/v5r0/dict/VetraDict.h -o $(gensrcdict) $(VetraDict_reflex_options)  \
			 $(Vetra_reflex_options) $(rootmapopts) $(pp_cppflags) $(includes) $(use_pp_cppflags)

VetraGenclean ::
	@echo 'Deleting $(gensrcdict) $(rootmapdict)'
	@$(uninstall_command) $(gensrcdict) $(rootmapdict)


#---Dealing with merging the rootmap files 
ifdef  Vetra_rootmap

mergedrootmapdir=$(dir $(Vetra_rootmap))
mergedrootmap=$(Vetra_rootmap)
stamprootmap=$(mergedrootmapdir)/$(rootmapname).stamp

MergeRootMap :: $(stamprootmap) $(mergedrootmap)
	@:

$(stamprootmap) $(mergedrootmap) :: $(rootmapdict)
	@echo "Running merge_rootmap  VetraGen" 
	@touch $(mergedrootmap)
	$(merge_rootmap_cmd) --do-merge --input-file $(rootmapdict) --merged-file $(mergedrootmap)

VetraGenclean ::
	@echo "Un-merging rootmap"
	@$(merge_rootmap_cmd) --un-merge --input-file $(rootmapdict) --merged-file $(mergedrootmap)
	@$(uninstall_command) $(stamprootmap)

else

MergeRootMap ::
        @:

endif
VetraGenclean ::
	@/bin/rm -rf ../$(tag)/dict
#-- start of cleanup_header --------------

clean :: VetraGenclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VetraGenclean ::
#-- end of cleanup_header ---------------
