#-- start of make_header -----------------

#====================================
#  Library VeloDet
#
#   Generated Tue Oct 14 14:59:56 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloDet_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloDet_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloDet

VeloDet_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDet = /tmp/CMT_$(VeloDet_tag)_VeloDet.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDet = $(VeloDet_tag)_VeloDet.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloDet_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDet = /tmp/CMT_$(VeloDet_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDet = $(VeloDet_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloDet)

ifdef cmt_VeloDet_has_target_tag

ifdef READONLY
cmt_final_setup_VeloDet = /tmp/CMT_VeloDet_VeloDetsetup.make
cmt_local_VeloDet_makefile = /tmp/CMT_VeloDet$(cmt_lock_pid).make
else
cmt_final_setup_VeloDet = $(bin)VeloDet_VeloDetsetup.make
cmt_local_VeloDet_makefile = $(bin)VeloDet.make
endif

else

ifdef READONLY
cmt_final_setup_VeloDet = /tmp/CMT_VeloDetsetup.make
cmt_local_VeloDet_makefile = /tmp/CMT_VeloDet$(cmt_lock_pid).make
else
cmt_final_setup_VeloDet = $(bin)VeloDetsetup.make
cmt_local_VeloDet_makefile = $(bin)VeloDet.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloDetsetup.make
else
cmt_final_setup = $(bin)VeloDetsetup.make
endif

VeloDet ::


ifdef READONLY
VeloDet ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloDet'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloDet/
VeloDet::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

#-- start of libary_header ---------------

VeloDetlibname   = $(bin)$(library_prefix)VeloDet$(library_suffix)
VeloDetlib       = $(VeloDetlibname).a
VeloDetstamp     = $(bin)VeloDet.stamp
VeloDetshstamp   = $(bin)VeloDet.shstamp

VeloDet :: dirs  VeloDetLIB
	@/bin/echo "------> VeloDet ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

VeloDetLIB :: $(VeloDetlib) $(VeloDetshstamp)
	@/bin/echo "------> VeloDet : library ok"

$(VeloDetlib) :: $(bin)VeloDetChecker.o $(bin)VeloDet_dll.o $(bin)XmlDeVeloCnv.o $(bin)XmlDeVeloPhiTypeCnv.o $(bin)XmlDeVeloRTypeCnv.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(VeloDetlib) $?
	$(lib_silent) $(ranlib) $(VeloDetlib)
	$(lib_silent) cat /dev/null >$(VeloDetstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(VeloDetlibname).$(shlibsuffix) :: $(VeloDetlib) requirements $(use_requirements) $(VeloDetstamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" VeloDet $(VeloDet_shlibflags)

$(VeloDetshstamp) :: $(VeloDetlibname).$(shlibsuffix)
	@if test -f $(VeloDetlibname).$(shlibsuffix) ; then cat /dev/null >$(VeloDetshstamp) ; fi

VeloDetclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)VeloDetChecker.o $(bin)VeloDet_dll.o $(bin)XmlDeVeloCnv.o $(bin)XmlDeVeloPhiTypeCnv.o $(bin)XmlDeVeloRTypeCnv.o
	$(cleanup_silent) cd $(bin); /bin/rm -rf VeloDet_deps VeloDet_dependencies.make

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
VeloDetinstallname = $(library_prefix)VeloDet$(library_suffix).$(shlibsuffix)

VeloDet :: VeloDetinstall

install :: VeloDetinstall

VeloDetinstall :: $(install_dir)/$(VeloDetinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(VeloDetinstallname) :: $(bin)$(VeloDetinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloDetinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi

##VeloDetclean :: VeloDetuninstall

uninstall :: VeloDetuninstall

VeloDetuninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloDetinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)VeloDet_dependencies.make :: dirs

ifndef QUICK
$(bin)VeloDet_dependencies.make :: $(src)component/*.cpp  requirements $(use_requirements) $(cmt_final_setup_VeloDet)
	@echo "------> (VeloDet.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) VeloDet -all_sources $${args}
endif

#$(VeloDet_dependencies)

-include $(bin)VeloDet_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloDetChecker.o : $(VeloDetChecker_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloDetChecker.o $(use_pp_cppflags) $(VeloDet_pp_cppflags) $(lib_VeloDet_pp_cppflags) $(VeloDetChecker_pp_cppflags) $(use_cppflags) $(VeloDet_cppflags) $(lib_VeloDet_cppflags) $(VeloDetChecker_cppflags) $(VeloDetChecker_cpp_cppflags) -I../src/component $(src)component/VeloDetChecker.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloDet_dll.o : $(VeloDet_dll_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloDet_dll.o $(use_pp_cppflags) $(VeloDet_pp_cppflags) $(lib_VeloDet_pp_cppflags) $(VeloDet_dll_pp_cppflags) $(use_cppflags) $(VeloDet_cppflags) $(lib_VeloDet_cppflags) $(VeloDet_dll_cppflags) $(VeloDet_dll_cpp_cppflags) -I../src/component $(src)component/VeloDet_dll.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)XmlDeVeloCnv.o : $(XmlDeVeloCnv_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)XmlDeVeloCnv.o $(use_pp_cppflags) $(VeloDet_pp_cppflags) $(lib_VeloDet_pp_cppflags) $(XmlDeVeloCnv_pp_cppflags) $(use_cppflags) $(VeloDet_cppflags) $(lib_VeloDet_cppflags) $(XmlDeVeloCnv_cppflags) $(XmlDeVeloCnv_cpp_cppflags) -I../src/component $(src)component/XmlDeVeloCnv.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)XmlDeVeloPhiTypeCnv.o : $(XmlDeVeloPhiTypeCnv_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)XmlDeVeloPhiTypeCnv.o $(use_pp_cppflags) $(VeloDet_pp_cppflags) $(lib_VeloDet_pp_cppflags) $(XmlDeVeloPhiTypeCnv_pp_cppflags) $(use_cppflags) $(VeloDet_cppflags) $(lib_VeloDet_cppflags) $(XmlDeVeloPhiTypeCnv_cppflags) $(XmlDeVeloPhiTypeCnv_cpp_cppflags) -I../src/component $(src)component/XmlDeVeloPhiTypeCnv.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)XmlDeVeloRTypeCnv.o : $(XmlDeVeloRTypeCnv_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)XmlDeVeloRTypeCnv.o $(use_pp_cppflags) $(VeloDet_pp_cppflags) $(lib_VeloDet_pp_cppflags) $(XmlDeVeloRTypeCnv_pp_cppflags) $(use_cppflags) $(VeloDet_cppflags) $(lib_VeloDet_cppflags) $(XmlDeVeloRTypeCnv_cppflags) $(XmlDeVeloRTypeCnv_cpp_cppflags) -I../src/component $(src)component/XmlDeVeloRTypeCnv.cpp

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: VeloDetclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloDetclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(binobj)$(library_prefix)VeloDet$(library_suffix).a $(binobj)$(library_prefix)VeloDet$(library_suffix).s? $(binobj)VeloDet.stamp $(binobj)VeloDet.shstamp
#-- end of cleanup_library ---------------

