#-- start of make_header -----------------

#====================================
#  Document VeloDetGen
#
#   Generated Tue Oct 14 15:00:09 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloDetGen_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloDetGen_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloDetGen

VeloDet_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDetGen = /tmp/CMT_$(VeloDet_tag)_VeloDetGen.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDetGen = $(VeloDet_tag)_VeloDetGen.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloDet_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDetGen = /tmp/CMT_$(VeloDet_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDetGen = $(VeloDet_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloDetGen)

ifdef cmt_VeloDetGen_has_target_tag

ifdef READONLY
cmt_final_setup_VeloDetGen = /tmp/CMT_VeloDet_VeloDetGensetup.make
cmt_local_VeloDetGen_makefile = /tmp/CMT_VeloDetGen$(cmt_lock_pid).make
else
cmt_final_setup_VeloDetGen = $(bin)VeloDet_VeloDetGensetup.make
cmt_local_VeloDetGen_makefile = $(bin)VeloDetGen.make
endif

else

ifdef READONLY
cmt_final_setup_VeloDetGen = /tmp/CMT_VeloDetsetup.make
cmt_local_VeloDetGen_makefile = /tmp/CMT_VeloDetGen$(cmt_lock_pid).make
else
cmt_final_setup_VeloDetGen = $(bin)VeloDetsetup.make
cmt_local_VeloDetGen_makefile = $(bin)VeloDetGen.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloDetsetup.make
else
cmt_final_setup = $(bin)VeloDetsetup.make
endif

VeloDetGen ::


ifdef READONLY
VeloDetGen ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloDetGen'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloDetGen/
VeloDetGen::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

#-- start of dependency ------------------

$(bin)VeloDetGen_dependencies.make :: dirs

ifndef QUICK
$(bin)VeloDetGen_dependencies.make :: /home/dpennica/lhcbsoft/Vetra_v5r0/Det/VeloDet/v11r3/dict/VeloDetDict.h  requirements $(use_requirements) $(cmt_final_setup_VeloDetGen)
	@echo "------> (VeloDetGen.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) VeloDetGen -all_sources $${args}
endif

#$(VeloDetGen_dependencies)

-include $(bin)VeloDetGen_dependencies.make

#-- end of dependency -------------------
# File: cmt/fragments/reflex_dictionary_generator
# Author: Pere Mato

# Makefile fragment to generate the Reflex dictionary together with a local rootmap file
# and a merged file in the installation area if InstallArea is present


.PHONY: VeloDetGen VeloDetGenclean MergeRootMap MergeRootMapclean

ppcmd=-I

dictdir=../$(tag)/dict/VeloDet
gensrcdict=$(dictdir)/VeloDetDict_dict.cpp
ifdef VeloDet_rootmap
  rootmapname=VeloDetDict.rootmap
  rootmapdict=$(dictdir)/$(rootmapname)
  rootmapopts=--rootmap=$(rootmapname) --rootmap-lib=$(library_prefix)VeloDetDict.$(shlibsuffix)
else
  rootmapdict=
endif

VeloDetGen ::  $(gensrcdict) $(rootmapdict) MergeRootMap
	@:

$(gensrcdict) $(rootmapdict) :: $(VeloDetDict_h_dependencies) $(VeloDet_reflex_selection_file)
	echo $@ VeloDetDict.h
	@-mkdir -p $(dictdir)
	$(genreflex_cmd) /home/dpennica/lhcbsoft/Vetra_v5r0/Det/VeloDet/v11r3/dict/VeloDetDict.h -o $(gensrcdict) $(VeloDetDict_reflex_options)  \
			 $(VeloDet_reflex_options) $(rootmapopts) $(pp_cppflags) $(includes) $(use_pp_cppflags)

VeloDetGenclean ::
	@echo 'Deleting $(gensrcdict) $(rootmapdict)'
	@$(uninstall_command) $(gensrcdict) $(rootmapdict)


#---Dealing with merging the rootmap files 
ifdef  VeloDet_rootmap

mergedrootmapdir=$(dir $(VeloDet_rootmap))
mergedrootmap=$(VeloDet_rootmap)
stamprootmap=$(mergedrootmapdir)/$(rootmapname).stamp

MergeRootMap :: $(stamprootmap) $(mergedrootmap)
	@:

$(stamprootmap) $(mergedrootmap) :: $(rootmapdict)
	@echo "Running merge_rootmap  VeloDetGen" 
	@touch $(mergedrootmap)
	$(merge_rootmap_cmd) --do-merge --input-file $(rootmapdict) --merged-file $(mergedrootmap)

VeloDetGenclean ::
	@echo "Un-merging rootmap"
	@$(merge_rootmap_cmd) --un-merge --input-file $(rootmapdict) --merged-file $(mergedrootmap)
	@$(uninstall_command) $(stamprootmap)

else

MergeRootMap ::
        @:

endif
VeloDetGenclean ::
	@/bin/rm -rf ../$(tag)/dict
#-- start of cleanup_header --------------

clean :: VeloDetGenclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloDetGenclean ::
#-- end of cleanup_header ---------------
