// $Id: TELL1FIRProcessEngine.h,v 1.1.1.1 2007/08/26 16:20:13 szumlat Exp $
#ifndef TELL1ENGINE_TELL1FIRPROCESSENGINE_H 
#define TELL1ENGINE_TELL1FIRPROCESSENGINE_H 1

// Include files
#include "TELL1Engine.h"

/** @class TELL1FIRProcessEngine TELL1FIRProcessEngine.h TELL1Engine/TELL1FIRProcessEngine.h
 *  
 *
 *  @author Tomasz Szumlak
 *  @date   2007-08-01
 */

class TELL1FIRProcessEngine: public TELL1Engine{
public: 
  /// Standard constructor
  TELL1FIRProcessEngine( );
  virtual ~TELL1FIRProcessEngine( ); ///< Destructor
  void runFilter();
  int velo_fir_process(int fir_enable, Data in_data, float K0, float K1, float K2);

  void setK0(const float inK0);
  void setK1(const float inK1);
  void setK2(const float inK2);

  float getK0() const;
  float getK1() const;
  float getK2() const;

protected:

private:
  float m_K0;
  float m_K1;
  float m_K2;

};
#endif // TELL1ENGINE_TELL1FIRPROCESSENGINE_H
