#-- start of make_header -----------------

#====================================
#  Library TELL1Engine
#
#   Generated Tue Oct 14 15:00:17 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_TELL1Engine_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_TELL1Engine_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_TELL1Engine

TELL1Engine_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_TELL1Engine = /tmp/CMT_$(TELL1Engine_tag)_TELL1Engine.make$(cmt_lock_pid)
else
cmt_local_tagfile_TELL1Engine = $(TELL1Engine_tag)_TELL1Engine.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

TELL1Engine_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_TELL1Engine = /tmp/CMT_$(TELL1Engine_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_TELL1Engine = $(TELL1Engine_tag).make
endif

endif

-include $(cmt_local_tagfile_TELL1Engine)

ifdef cmt_TELL1Engine_has_target_tag

ifdef READONLY
cmt_final_setup_TELL1Engine = /tmp/CMT_TELL1Engine_TELL1Enginesetup.make
cmt_local_TELL1Engine_makefile = /tmp/CMT_TELL1Engine$(cmt_lock_pid).make
else
cmt_final_setup_TELL1Engine = $(bin)TELL1Engine_TELL1Enginesetup.make
cmt_local_TELL1Engine_makefile = $(bin)TELL1Engine.make
endif

else

ifdef READONLY
cmt_final_setup_TELL1Engine = /tmp/CMT_TELL1Enginesetup.make
cmt_local_TELL1Engine_makefile = /tmp/CMT_TELL1Engine$(cmt_lock_pid).make
else
cmt_final_setup_TELL1Engine = $(bin)TELL1Enginesetup.make
cmt_local_TELL1Engine_makefile = $(bin)TELL1Engine.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_TELL1Enginesetup.make
else
cmt_final_setup = $(bin)TELL1Enginesetup.make
endif

TELL1Engine ::


ifdef READONLY
TELL1Engine ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'TELL1Engine'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = TELL1Engine/
TELL1Engine::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

#-- start of libary_header ---------------

TELL1Enginelibname   = $(bin)$(library_prefix)TELL1Engine$(library_suffix)
TELL1Enginelib       = $(TELL1Enginelibname).a
TELL1Enginestamp     = $(bin)TELL1Engine.stamp
TELL1Engineshstamp   = $(bin)TELL1Engine.shstamp

TELL1Engine :: dirs  TELL1EngineLIB
	@/bin/echo "------> TELL1Engine ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

TELL1EngineLIB :: $(TELL1Enginelib) $(TELL1Engineshstamp)
	@/bin/echo "------> TELL1Engine : library ok"

$(TELL1Enginelib) :: $(bin)TELL1Engine.o $(bin)TELL1Engine_load.o $(bin)TELL1FIRProcessEngine.o $(bin)TELL1LCMSProcessEngine.o $(bin)TELL1PedestalProcessEngine.o $(bin)TELL1ReorderProcessEngine.o $(bin)TELL1UpdateProcessEngine.o $(bin)TELL1ZSProcessEngine.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(TELL1Enginelib) $?
	$(lib_silent) $(ranlib) $(TELL1Enginelib)
	$(lib_silent) cat /dev/null >$(TELL1Enginestamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(TELL1Enginelibname).$(shlibsuffix) :: $(TELL1Enginelib) requirements $(use_requirements) $(TELL1Enginestamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" TELL1Engine $(TELL1Engine_shlibflags)

$(TELL1Engineshstamp) :: $(TELL1Enginelibname).$(shlibsuffix)
	@if test -f $(TELL1Enginelibname).$(shlibsuffix) ; then cat /dev/null >$(TELL1Engineshstamp) ; fi

TELL1Engineclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)TELL1Engine.o $(bin)TELL1Engine_load.o $(bin)TELL1FIRProcessEngine.o $(bin)TELL1LCMSProcessEngine.o $(bin)TELL1PedestalProcessEngine.o $(bin)TELL1ReorderProcessEngine.o $(bin)TELL1UpdateProcessEngine.o $(bin)TELL1ZSProcessEngine.o
	$(cleanup_silent) cd $(bin); /bin/rm -rf TELL1Engine_deps TELL1Engine_dependencies.make

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
TELL1Engineinstallname = $(library_prefix)TELL1Engine$(library_suffix).$(shlibsuffix)

TELL1Engine :: TELL1Engineinstall

install :: TELL1Engineinstall

TELL1Engineinstall :: $(install_dir)/$(TELL1Engineinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(TELL1Engineinstallname) :: $(bin)$(TELL1Engineinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(TELL1Engineinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi

##TELL1Engineclean :: TELL1Engineuninstall

uninstall :: TELL1Engineuninstall

TELL1Engineuninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(TELL1Engineinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)TELL1Engine_dependencies.make :: dirs

ifndef QUICK
$(bin)TELL1Engine_dependencies.make :: $(src)*.cpp  requirements $(use_requirements) $(cmt_final_setup_TELL1Engine)
	@echo "------> (TELL1Engine.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) TELL1Engine -all_sources $${args}
endif

#$(TELL1Engine_dependencies)

-include $(bin)TELL1Engine_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)TELL1Engine.o : $(TELL1Engine_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)TELL1Engine.o $(use_pp_cppflags) $(TELL1Engine_pp_cppflags) $(lib_TELL1Engine_pp_cppflags) $(TELL1Engine_pp_cppflags) $(use_cppflags) $(TELL1Engine_cppflags) $(lib_TELL1Engine_cppflags) $(TELL1Engine_cppflags) $(TELL1Engine_cpp_cppflags)  $(src)TELL1Engine.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)TELL1Engine_load.o : $(TELL1Engine_load_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)TELL1Engine_load.o $(use_pp_cppflags) $(TELL1Engine_pp_cppflags) $(lib_TELL1Engine_pp_cppflags) $(TELL1Engine_load_pp_cppflags) $(use_cppflags) $(TELL1Engine_cppflags) $(lib_TELL1Engine_cppflags) $(TELL1Engine_load_cppflags) $(TELL1Engine_load_cpp_cppflags)  $(src)TELL1Engine_load.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)TELL1FIRProcessEngine.o : $(TELL1FIRProcessEngine_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)TELL1FIRProcessEngine.o $(use_pp_cppflags) $(TELL1Engine_pp_cppflags) $(lib_TELL1Engine_pp_cppflags) $(TELL1FIRProcessEngine_pp_cppflags) $(use_cppflags) $(TELL1Engine_cppflags) $(lib_TELL1Engine_cppflags) $(TELL1FIRProcessEngine_cppflags) $(TELL1FIRProcessEngine_cpp_cppflags)  $(src)TELL1FIRProcessEngine.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)TELL1LCMSProcessEngine.o : $(TELL1LCMSProcessEngine_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)TELL1LCMSProcessEngine.o $(use_pp_cppflags) $(TELL1Engine_pp_cppflags) $(lib_TELL1Engine_pp_cppflags) $(TELL1LCMSProcessEngine_pp_cppflags) $(use_cppflags) $(TELL1Engine_cppflags) $(lib_TELL1Engine_cppflags) $(TELL1LCMSProcessEngine_cppflags) $(TELL1LCMSProcessEngine_cpp_cppflags)  $(src)TELL1LCMSProcessEngine.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)TELL1PedestalProcessEngine.o : $(TELL1PedestalProcessEngine_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)TELL1PedestalProcessEngine.o $(use_pp_cppflags) $(TELL1Engine_pp_cppflags) $(lib_TELL1Engine_pp_cppflags) $(TELL1PedestalProcessEngine_pp_cppflags) $(use_cppflags) $(TELL1Engine_cppflags) $(lib_TELL1Engine_cppflags) $(TELL1PedestalProcessEngine_cppflags) $(TELL1PedestalProcessEngine_cpp_cppflags)  $(src)TELL1PedestalProcessEngine.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)TELL1ReorderProcessEngine.o : $(TELL1ReorderProcessEngine_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)TELL1ReorderProcessEngine.o $(use_pp_cppflags) $(TELL1Engine_pp_cppflags) $(lib_TELL1Engine_pp_cppflags) $(TELL1ReorderProcessEngine_pp_cppflags) $(use_cppflags) $(TELL1Engine_cppflags) $(lib_TELL1Engine_cppflags) $(TELL1ReorderProcessEngine_cppflags) $(TELL1ReorderProcessEngine_cpp_cppflags)  $(src)TELL1ReorderProcessEngine.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)TELL1UpdateProcessEngine.o : $(TELL1UpdateProcessEngine_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)TELL1UpdateProcessEngine.o $(use_pp_cppflags) $(TELL1Engine_pp_cppflags) $(lib_TELL1Engine_pp_cppflags) $(TELL1UpdateProcessEngine_pp_cppflags) $(use_cppflags) $(TELL1Engine_cppflags) $(lib_TELL1Engine_cppflags) $(TELL1UpdateProcessEngine_cppflags) $(TELL1UpdateProcessEngine_cpp_cppflags)  $(src)TELL1UpdateProcessEngine.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)TELL1ZSProcessEngine.o : $(TELL1ZSProcessEngine_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)TELL1ZSProcessEngine.o $(use_pp_cppflags) $(TELL1Engine_pp_cppflags) $(lib_TELL1Engine_pp_cppflags) $(TELL1ZSProcessEngine_pp_cppflags) $(use_cppflags) $(TELL1Engine_cppflags) $(lib_TELL1Engine_cppflags) $(TELL1ZSProcessEngine_cppflags) $(TELL1ZSProcessEngine_cpp_cppflags)  $(src)TELL1ZSProcessEngine.cpp

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: TELL1Engineclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

TELL1Engineclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(binobj)$(library_prefix)TELL1Engine$(library_suffix).a $(binobj)$(library_prefix)TELL1Engine$(library_suffix).s? $(binobj)TELL1Engine.stamp $(binobj)TELL1Engine.shstamp
#-- end of cleanup_library ---------------

