#-- start of make_header -----------------

#====================================
#  Document VeloAlgorithmsRootMap
#
#   Generated Tue Oct 14 15:02:19 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloAlgorithmsRootMap_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloAlgorithmsRootMap_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloAlgorithmsRootMap

VeloAlgorithms_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloAlgorithmsRootMap = /tmp/CMT_$(VeloAlgorithms_tag)_VeloAlgorithmsRootMap.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloAlgorithmsRootMap = $(VeloAlgorithms_tag)_VeloAlgorithmsRootMap.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloAlgorithms_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloAlgorithmsRootMap = /tmp/CMT_$(VeloAlgorithms_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloAlgorithmsRootMap = $(VeloAlgorithms_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloAlgorithmsRootMap)

ifdef cmt_VeloAlgorithmsRootMap_has_target_tag

ifdef READONLY
cmt_final_setup_VeloAlgorithmsRootMap = /tmp/CMT_VeloAlgorithms_VeloAlgorithmsRootMapsetup.make
cmt_local_VeloAlgorithmsRootMap_makefile = /tmp/CMT_VeloAlgorithmsRootMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloAlgorithmsRootMap = $(bin)VeloAlgorithms_VeloAlgorithmsRootMapsetup.make
cmt_local_VeloAlgorithmsRootMap_makefile = $(bin)VeloAlgorithmsRootMap.make
endif

else

ifdef READONLY
cmt_final_setup_VeloAlgorithmsRootMap = /tmp/CMT_VeloAlgorithmssetup.make
cmt_local_VeloAlgorithmsRootMap_makefile = /tmp/CMT_VeloAlgorithmsRootMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloAlgorithmsRootMap = $(bin)VeloAlgorithmssetup.make
cmt_local_VeloAlgorithmsRootMap_makefile = $(bin)VeloAlgorithmsRootMap.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloAlgorithmssetup.make
else
cmt_final_setup = $(bin)VeloAlgorithmssetup.make
endif

VeloAlgorithmsRootMap ::


ifdef READONLY
VeloAlgorithmsRootMap ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloAlgorithmsRootMap'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloAlgorithmsRootMap/
VeloAlgorithmsRootMap::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

##
rootmapfile = VeloAlgorithms.rootmap
ROOTMAP_DIR = ../$(tag)
fulllibname = libVeloAlgorithms.$(shlibsuffix)

VeloAlgorithmsRootMap :: ${ROOTMAP_DIR}/$(rootmapfile)
	@:

${ROOTMAP_DIR}/$(rootmapfile) :: $(bin)$(fulllibname)
	@echo 'Generating rootmap file for $(fulllibname)'
	cd ../$(tag);$(genmap_cmd) -i $(fulllibname) -o ${ROOTMAP_DIR}/$(rootmapfile) $(VeloAlgorithmsRootMap_genmapflags)

install :: VeloAlgorithmsRootMapinstall
VeloAlgorithmsRootMapinstall :: VeloAlgorithmsRootMap

uninstall :: VeloAlgorithmsRootMapuninstall
VeloAlgorithmsRootMapuninstall :: VeloAlgorithmsRootMapclean

VeloAlgorithmsRootMapclean ::
	@echo 'Deleting $(rootmapfile)'
	@rm -f ${ROOTMAP_DIR}/$(rootmapfile)

#-- start of cleanup_header --------------

clean :: VeloAlgorithmsRootMapclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloAlgorithmsRootMapclean ::
#-- end of cleanup_header ---------------
