#-- start of make_header -----------------

#====================================
#  Document VeloClusterDataMonitorMergeMap
#
#   Generated Tue Oct 14 15:00:31 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloClusterDataMonitorMergeMap_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloClusterDataMonitorMergeMap_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloClusterDataMonitorMergeMap

VeloClusterDataMonitor_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloClusterDataMonitorMergeMap = /tmp/CMT_$(VeloClusterDataMonitor_tag)_VeloClusterDataMonitorMergeMap.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloClusterDataMonitorMergeMap = $(VeloClusterDataMonitor_tag)_VeloClusterDataMonitorMergeMap.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloClusterDataMonitor_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloClusterDataMonitorMergeMap = /tmp/CMT_$(VeloClusterDataMonitor_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloClusterDataMonitorMergeMap = $(VeloClusterDataMonitor_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloClusterDataMonitorMergeMap)

ifdef cmt_VeloClusterDataMonitorMergeMap_has_target_tag

ifdef READONLY
cmt_final_setup_VeloClusterDataMonitorMergeMap = /tmp/CMT_VeloClusterDataMonitor_VeloClusterDataMonitorMergeMapsetup.make
cmt_local_VeloClusterDataMonitorMergeMap_makefile = /tmp/CMT_VeloClusterDataMonitorMergeMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloClusterDataMonitorMergeMap = $(bin)VeloClusterDataMonitor_VeloClusterDataMonitorMergeMapsetup.make
cmt_local_VeloClusterDataMonitorMergeMap_makefile = $(bin)VeloClusterDataMonitorMergeMap.make
endif

else

ifdef READONLY
cmt_final_setup_VeloClusterDataMonitorMergeMap = /tmp/CMT_VeloClusterDataMonitorsetup.make
cmt_local_VeloClusterDataMonitorMergeMap_makefile = /tmp/CMT_VeloClusterDataMonitorMergeMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloClusterDataMonitorMergeMap = $(bin)VeloClusterDataMonitorsetup.make
cmt_local_VeloClusterDataMonitorMergeMap_makefile = $(bin)VeloClusterDataMonitorMergeMap.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloClusterDataMonitorsetup.make
else
cmt_final_setup = $(bin)VeloClusterDataMonitorsetup.make
endif

VeloClusterDataMonitorMergeMap ::


ifdef READONLY
VeloClusterDataMonitorMergeMap ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloClusterDataMonitorMergeMap'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloClusterDataMonitorMergeMap/
VeloClusterDataMonitorMergeMap::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

# File: cmt/fragments/merge_rootmap_header
# Author: Sebastien Binet (binet@cern.ch)

# Makefile fragment to merge a <library>.rootmap file into a single
# <project>.rootmap file in the (lib) install area
# If no InstallArea is present the fragment is dummy


.PHONY: VeloClusterDataMonitorMergeMap VeloClusterDataMonitorMergeMapclean

# default is already '#'
#genmap_comment_char := "'#'"

ifdef CMTINSTALLAREA
rootMapDir    := ${CMTINSTALLAREA}/$(tag)/lib
mergedRootMap := $(rootMapDir)/$(project).rootmap
stampRootMap  := $(rootMapDir)/VeloClusterDataMonitor.rootmap.stamp
else
rootMapDir    := ../$(tag)
mergedRootMap := 
stampRootMap  :=
endif

rootMapRef    := ../$(tag)/VeloClusterDataMonitor.rootmap

VeloClusterDataMonitorMergeMap :: $(stampRootMap) $(mergedRootMap)
	@:

$(stampRootMap) $(mergedRootMap) :: $(rootMapRef)
	@echo "Running merge_rootmap  VeloClusterDataMonitorMergeMap" 
	$(merge_rootmap_cmd) --do-merge \
         --input-file $(rootMapRef) --merged-file $(mergedRootMap)

VeloClusterDataMonitorMergeMapclean ::
	$(cleanup_silent) $(merge_rootmap_cmd) --un-merge \
         --input-file $(rootMapRef) --merged-file $(mergedRootMap) ;
	$(cleanup_silent) $(uninstall_command) $(stampRootMap)
libVeloClusterDataMonitor_so_dependencies = ../slc4_ia32_gcc34/libVeloClusterDataMonitor.so
#-- start of cleanup_header --------------

clean :: VeloClusterDataMonitorMergeMapclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloClusterDataMonitorMergeMapclean ::
#-- end of cleanup_header ---------------
