#-- start of make_header -----------------

#====================================
#  Document VeloClusterDataMonitorRootMap
#
#   Generated Tue Oct 14 15:00:31 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloClusterDataMonitorRootMap_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloClusterDataMonitorRootMap_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloClusterDataMonitorRootMap

VeloClusterDataMonitor_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloClusterDataMonitorRootMap = /tmp/CMT_$(VeloClusterDataMonitor_tag)_VeloClusterDataMonitorRootMap.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloClusterDataMonitorRootMap = $(VeloClusterDataMonitor_tag)_VeloClusterDataMonitorRootMap.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloClusterDataMonitor_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloClusterDataMonitorRootMap = /tmp/CMT_$(VeloClusterDataMonitor_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloClusterDataMonitorRootMap = $(VeloClusterDataMonitor_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloClusterDataMonitorRootMap)

ifdef cmt_VeloClusterDataMonitorRootMap_has_target_tag

ifdef READONLY
cmt_final_setup_VeloClusterDataMonitorRootMap = /tmp/CMT_VeloClusterDataMonitor_VeloClusterDataMonitorRootMapsetup.make
cmt_local_VeloClusterDataMonitorRootMap_makefile = /tmp/CMT_VeloClusterDataMonitorRootMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloClusterDataMonitorRootMap = $(bin)VeloClusterDataMonitor_VeloClusterDataMonitorRootMapsetup.make
cmt_local_VeloClusterDataMonitorRootMap_makefile = $(bin)VeloClusterDataMonitorRootMap.make
endif

else

ifdef READONLY
cmt_final_setup_VeloClusterDataMonitorRootMap = /tmp/CMT_VeloClusterDataMonitorsetup.make
cmt_local_VeloClusterDataMonitorRootMap_makefile = /tmp/CMT_VeloClusterDataMonitorRootMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloClusterDataMonitorRootMap = $(bin)VeloClusterDataMonitorsetup.make
cmt_local_VeloClusterDataMonitorRootMap_makefile = $(bin)VeloClusterDataMonitorRootMap.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloClusterDataMonitorsetup.make
else
cmt_final_setup = $(bin)VeloClusterDataMonitorsetup.make
endif

VeloClusterDataMonitorRootMap ::


ifdef READONLY
VeloClusterDataMonitorRootMap ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloClusterDataMonitorRootMap'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloClusterDataMonitorRootMap/
VeloClusterDataMonitorRootMap::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

##
rootmapfile = VeloClusterDataMonitor.rootmap
ROOTMAP_DIR = ../$(tag)
fulllibname = libVeloClusterDataMonitor.$(shlibsuffix)

VeloClusterDataMonitorRootMap :: ${ROOTMAP_DIR}/$(rootmapfile)
	@:

${ROOTMAP_DIR}/$(rootmapfile) :: $(bin)$(fulllibname)
	@echo 'Generating rootmap file for $(fulllibname)'
	cd ../$(tag);$(genmap_cmd) -i $(fulllibname) -o ${ROOTMAP_DIR}/$(rootmapfile) $(VeloClusterDataMonitorRootMap_genmapflags)

install :: VeloClusterDataMonitorRootMapinstall
VeloClusterDataMonitorRootMapinstall :: VeloClusterDataMonitorRootMap

uninstall :: VeloClusterDataMonitorRootMapuninstall
VeloClusterDataMonitorRootMapuninstall :: VeloClusterDataMonitorRootMapclean

VeloClusterDataMonitorRootMapclean ::
	@echo 'Deleting $(rootmapfile)'
	@rm -f ${ROOTMAP_DIR}/$(rootmapfile)

#-- start of cleanup_header --------------

clean :: VeloClusterDataMonitorRootMapclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloClusterDataMonitorRootMapclean ::
#-- end of cleanup_header ---------------
