#-- start of make_header -----------------

#====================================
#  Document VeloDAQRootMap
#
#   Generated Tue Oct 14 15:02:03 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloDAQRootMap_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloDAQRootMap_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloDAQRootMap

VeloDAQ_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDAQRootMap = /tmp/CMT_$(VeloDAQ_tag)_VeloDAQRootMap.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDAQRootMap = $(VeloDAQ_tag)_VeloDAQRootMap.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloDAQ_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloDAQRootMap = /tmp/CMT_$(VeloDAQ_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloDAQRootMap = $(VeloDAQ_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloDAQRootMap)

ifdef cmt_VeloDAQRootMap_has_target_tag

ifdef READONLY
cmt_final_setup_VeloDAQRootMap = /tmp/CMT_VeloDAQ_VeloDAQRootMapsetup.make
cmt_local_VeloDAQRootMap_makefile = /tmp/CMT_VeloDAQRootMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloDAQRootMap = $(bin)VeloDAQ_VeloDAQRootMapsetup.make
cmt_local_VeloDAQRootMap_makefile = $(bin)VeloDAQRootMap.make
endif

else

ifdef READONLY
cmt_final_setup_VeloDAQRootMap = /tmp/CMT_VeloDAQsetup.make
cmt_local_VeloDAQRootMap_makefile = /tmp/CMT_VeloDAQRootMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloDAQRootMap = $(bin)VeloDAQsetup.make
cmt_local_VeloDAQRootMap_makefile = $(bin)VeloDAQRootMap.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloDAQsetup.make
else
cmt_final_setup = $(bin)VeloDAQsetup.make
endif

VeloDAQRootMap ::


ifdef READONLY
VeloDAQRootMap ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloDAQRootMap'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloDAQRootMap/
VeloDAQRootMap::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

##
rootmapfile = VeloDAQ.rootmap
ROOTMAP_DIR = ../$(tag)
fulllibname = libVeloDAQ.$(shlibsuffix)

VeloDAQRootMap :: ${ROOTMAP_DIR}/$(rootmapfile)
	@:

${ROOTMAP_DIR}/$(rootmapfile) :: $(bin)$(fulllibname)
	@echo 'Generating rootmap file for $(fulllibname)'
	cd ../$(tag);$(genmap_cmd) -i $(fulllibname) -o ${ROOTMAP_DIR}/$(rootmapfile) $(VeloDAQRootMap_genmapflags)

install :: VeloDAQRootMapinstall
VeloDAQRootMapinstall :: VeloDAQRootMap

uninstall :: VeloDAQRootMapuninstall
VeloDAQRootMapuninstall :: VeloDAQRootMapclean

VeloDAQRootMapclean ::
	@echo 'Deleting $(rootmapfile)'
	@rm -f ${ROOTMAP_DIR}/$(rootmapfile)

#-- start of cleanup_header --------------

clean :: VeloDAQRootMapclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloDAQRootMapclean ::
#-- end of cleanup_header ---------------
