#-- start of make_header -----------------

#====================================
#  Library VeloTELL1Algorithms
#
#   Generated Tue Oct 14 15:01:05 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloTELL1Algorithms_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloTELL1Algorithms_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloTELL1Algorithms

VeloTELL1Algorithms_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloTELL1Algorithms = /tmp/CMT_$(VeloTELL1Algorithms_tag)_VeloTELL1Algorithms.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloTELL1Algorithms = $(VeloTELL1Algorithms_tag)_VeloTELL1Algorithms.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloTELL1Algorithms_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloTELL1Algorithms = /tmp/CMT_$(VeloTELL1Algorithms_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloTELL1Algorithms = $(VeloTELL1Algorithms_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloTELL1Algorithms)

ifdef cmt_VeloTELL1Algorithms_has_target_tag

ifdef READONLY
cmt_final_setup_VeloTELL1Algorithms = /tmp/CMT_VeloTELL1Algorithms_VeloTELL1Algorithmssetup.make
cmt_local_VeloTELL1Algorithms_makefile = /tmp/CMT_VeloTELL1Algorithms$(cmt_lock_pid).make
else
cmt_final_setup_VeloTELL1Algorithms = $(bin)VeloTELL1Algorithms_VeloTELL1Algorithmssetup.make
cmt_local_VeloTELL1Algorithms_makefile = $(bin)VeloTELL1Algorithms.make
endif

else

ifdef READONLY
cmt_final_setup_VeloTELL1Algorithms = /tmp/CMT_VeloTELL1Algorithmssetup.make
cmt_local_VeloTELL1Algorithms_makefile = /tmp/CMT_VeloTELL1Algorithms$(cmt_lock_pid).make
else
cmt_final_setup_VeloTELL1Algorithms = $(bin)VeloTELL1Algorithmssetup.make
cmt_local_VeloTELL1Algorithms_makefile = $(bin)VeloTELL1Algorithms.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloTELL1Algorithmssetup.make
else
cmt_final_setup = $(bin)VeloTELL1Algorithmssetup.make
endif

VeloTELL1Algorithms ::


ifdef READONLY
VeloTELL1Algorithms ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloTELL1Algorithms'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloTELL1Algorithms/
VeloTELL1Algorithms::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

#-- start of libary_header ---------------

VeloTELL1Algorithmslibname   = $(bin)$(library_prefix)VeloTELL1Algorithms$(library_suffix)
VeloTELL1Algorithmslib       = $(VeloTELL1Algorithmslibname).a
VeloTELL1Algorithmsstamp     = $(bin)VeloTELL1Algorithms.stamp
VeloTELL1Algorithmsshstamp   = $(bin)VeloTELL1Algorithms.shstamp

VeloTELL1Algorithms :: dirs  VeloTELL1AlgorithmsLIB
	@/bin/echo "------> VeloTELL1Algorithms ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

VeloTELL1AlgorithmsLIB :: $(VeloTELL1Algorithmslib) $(VeloTELL1Algorithmsshstamp)
	@/bin/echo "------> VeloTELL1Algorithms : library ok"

$(VeloTELL1Algorithmslib) :: $(bin)VeloClusterCompare.o $(bin)VeloClusterizationAdaptor.o $(bin)VeloTELL1Algorithm.o $(bin)VeloTELL1Algorithms_dll.o $(bin)VeloTELL1Algorithms_load.o $(bin)VeloTELL1CableFIRFilter.o $(bin)VeloTELL1ClusterMaker.o $(bin)VeloTELL1DataProcessor.o $(bin)VeloXTalkComputer.o $(bin)VeloTELL1EmulatorInit.o $(bin)dataTranslator.o $(bin)VeloTELL1FIRFilter.o $(bin)VeloTELL1LCMS.o $(bin)VeloTELL1PedestalSubtractor.o $(bin)VeloTELL1Reordering.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(VeloTELL1Algorithmslib) $?
	$(lib_silent) $(ranlib) $(VeloTELL1Algorithmslib)
	$(lib_silent) cat /dev/null >$(VeloTELL1Algorithmsstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(VeloTELL1Algorithmslibname).$(shlibsuffix) :: $(VeloTELL1Algorithmslib) requirements $(use_requirements) $(VeloTELL1Algorithmsstamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" VeloTELL1Algorithms $(VeloTELL1Algorithms_shlibflags)

$(VeloTELL1Algorithmsshstamp) :: $(VeloTELL1Algorithmslibname).$(shlibsuffix)
	@if test -f $(VeloTELL1Algorithmslibname).$(shlibsuffix) ; then cat /dev/null >$(VeloTELL1Algorithmsshstamp) ; fi

VeloTELL1Algorithmsclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)VeloClusterCompare.o $(bin)VeloClusterizationAdaptor.o $(bin)VeloTELL1Algorithm.o $(bin)VeloTELL1Algorithms_dll.o $(bin)VeloTELL1Algorithms_load.o $(bin)VeloTELL1CableFIRFilter.o $(bin)VeloTELL1ClusterMaker.o $(bin)VeloTELL1DataProcessor.o $(bin)VeloXTalkComputer.o $(bin)VeloTELL1EmulatorInit.o $(bin)dataTranslator.o $(bin)VeloTELL1FIRFilter.o $(bin)VeloTELL1LCMS.o $(bin)VeloTELL1PedestalSubtractor.o $(bin)VeloTELL1Reordering.o
	$(cleanup_silent) cd $(bin); /bin/rm -rf VeloTELL1Algorithms_deps VeloTELL1Algorithms_dependencies.make

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
VeloTELL1Algorithmsinstallname = $(library_prefix)VeloTELL1Algorithms$(library_suffix).$(shlibsuffix)

VeloTELL1Algorithms :: VeloTELL1Algorithmsinstall

install :: VeloTELL1Algorithmsinstall

VeloTELL1Algorithmsinstall :: $(install_dir)/$(VeloTELL1Algorithmsinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(VeloTELL1Algorithmsinstallname) :: $(bin)$(VeloTELL1Algorithmsinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloTELL1Algorithmsinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi

##VeloTELL1Algorithmsclean :: VeloTELL1Algorithmsuninstall

uninstall :: VeloTELL1Algorithmsuninstall

VeloTELL1Algorithmsuninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VeloTELL1Algorithmsinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)VeloTELL1Algorithms_dependencies.make :: dirs

ifndef QUICK
$(bin)VeloTELL1Algorithms_dependencies.make :: $(src)*.cpp  requirements $(use_requirements) $(cmt_final_setup_VeloTELL1Algorithms)
	@echo "------> (VeloTELL1Algorithms.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) VeloTELL1Algorithms -all_sources $${args}
endif

#$(VeloTELL1Algorithms_dependencies)

-include $(bin)VeloTELL1Algorithms_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloClusterCompare.o : $(VeloClusterCompare_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloClusterCompare.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloClusterCompare_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloClusterCompare_cppflags) $(VeloClusterCompare_cpp_cppflags)  $(src)VeloClusterCompare.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloClusterizationAdaptor.o : $(VeloClusterizationAdaptor_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloClusterizationAdaptor.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloClusterizationAdaptor_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloClusterizationAdaptor_cppflags) $(VeloClusterizationAdaptor_cpp_cppflags)  $(src)VeloClusterizationAdaptor.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1Algorithm.o : $(VeloTELL1Algorithm_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1Algorithm.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloTELL1Algorithm_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloTELL1Algorithm_cppflags) $(VeloTELL1Algorithm_cpp_cppflags)  $(src)VeloTELL1Algorithm.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1Algorithms_dll.o : $(VeloTELL1Algorithms_dll_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1Algorithms_dll.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloTELL1Algorithms_dll_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloTELL1Algorithms_dll_cppflags) $(VeloTELL1Algorithms_dll_cpp_cppflags)  $(src)VeloTELL1Algorithms_dll.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1Algorithms_load.o : $(VeloTELL1Algorithms_load_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1Algorithms_load.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloTELL1Algorithms_load_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloTELL1Algorithms_load_cppflags) $(VeloTELL1Algorithms_load_cpp_cppflags)  $(src)VeloTELL1Algorithms_load.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1CableFIRFilter.o : $(VeloTELL1CableFIRFilter_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1CableFIRFilter.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloTELL1CableFIRFilter_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloTELL1CableFIRFilter_cppflags) $(VeloTELL1CableFIRFilter_cpp_cppflags)  $(src)VeloTELL1CableFIRFilter.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1ClusterMaker.o : $(VeloTELL1ClusterMaker_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1ClusterMaker.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloTELL1ClusterMaker_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloTELL1ClusterMaker_cppflags) $(VeloTELL1ClusterMaker_cpp_cppflags)  $(src)VeloTELL1ClusterMaker.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1DataProcessor.o : $(VeloTELL1DataProcessor_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1DataProcessor.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloTELL1DataProcessor_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloTELL1DataProcessor_cppflags) $(VeloTELL1DataProcessor_cpp_cppflags)  $(src)VeloTELL1DataProcessor.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloXTalkComputer.o : $(VeloXTalkComputer_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloXTalkComputer.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloXTalkComputer_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloXTalkComputer_cppflags) $(VeloXTalkComputer_cpp_cppflags)  $(src)VeloXTalkComputer.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1EmulatorInit.o : $(VeloTELL1EmulatorInit_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1EmulatorInit.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloTELL1EmulatorInit_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloTELL1EmulatorInit_cppflags) $(VeloTELL1EmulatorInit_cpp_cppflags)  $(src)VeloTELL1EmulatorInit.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)dataTranslator.o : $(dataTranslator_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)dataTranslator.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(dataTranslator_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(dataTranslator_cppflags) $(dataTranslator_cpp_cppflags)  $(src)dataTranslator.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1FIRFilter.o : $(VeloTELL1FIRFilter_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1FIRFilter.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloTELL1FIRFilter_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloTELL1FIRFilter_cppflags) $(VeloTELL1FIRFilter_cpp_cppflags)  $(src)VeloTELL1FIRFilter.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1LCMS.o : $(VeloTELL1LCMS_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1LCMS.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloTELL1LCMS_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloTELL1LCMS_cppflags) $(VeloTELL1LCMS_cpp_cppflags)  $(src)VeloTELL1LCMS.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1PedestalSubtractor.o : $(VeloTELL1PedestalSubtractor_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1PedestalSubtractor.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloTELL1PedestalSubtractor_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloTELL1PedestalSubtractor_cppflags) $(VeloTELL1PedestalSubtractor_cpp_cppflags)  $(src)VeloTELL1PedestalSubtractor.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VeloTELL1Reordering.o : $(VeloTELL1Reordering_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VeloTELL1Reordering.o $(use_pp_cppflags) $(VeloTELL1Algorithms_pp_cppflags) $(lib_VeloTELL1Algorithms_pp_cppflags) $(VeloTELL1Reordering_pp_cppflags) $(use_cppflags) $(VeloTELL1Algorithms_cppflags) $(lib_VeloTELL1Algorithms_cppflags) $(VeloTELL1Reordering_cppflags) $(VeloTELL1Reordering_cpp_cppflags)  $(src)VeloTELL1Reordering.cpp

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: VeloTELL1Algorithmsclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloTELL1Algorithmsclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(binobj)$(library_prefix)VeloTELL1Algorithms$(library_suffix).a $(binobj)$(library_prefix)VeloTELL1Algorithms$(library_suffix).s? $(binobj)VeloTELL1Algorithms.stamp $(binobj)VeloTELL1Algorithms.shstamp
#-- end of cleanup_library ---------------

