#-- start of make_header -----------------

#====================================
#  Document VeloTELL1AlgorithmsRootMap
#
#   Generated Tue Oct 14 15:01:50 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloTELL1AlgorithmsRootMap_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloTELL1AlgorithmsRootMap_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloTELL1AlgorithmsRootMap

VeloTELL1Algorithms_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloTELL1AlgorithmsRootMap = /tmp/CMT_$(VeloTELL1Algorithms_tag)_VeloTELL1AlgorithmsRootMap.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloTELL1AlgorithmsRootMap = $(VeloTELL1Algorithms_tag)_VeloTELL1AlgorithmsRootMap.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloTELL1Algorithms_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloTELL1AlgorithmsRootMap = /tmp/CMT_$(VeloTELL1Algorithms_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloTELL1AlgorithmsRootMap = $(VeloTELL1Algorithms_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloTELL1AlgorithmsRootMap)

ifdef cmt_VeloTELL1AlgorithmsRootMap_has_target_tag

ifdef READONLY
cmt_final_setup_VeloTELL1AlgorithmsRootMap = /tmp/CMT_VeloTELL1Algorithms_VeloTELL1AlgorithmsRootMapsetup.make
cmt_local_VeloTELL1AlgorithmsRootMap_makefile = /tmp/CMT_VeloTELL1AlgorithmsRootMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloTELL1AlgorithmsRootMap = $(bin)VeloTELL1Algorithms_VeloTELL1AlgorithmsRootMapsetup.make
cmt_local_VeloTELL1AlgorithmsRootMap_makefile = $(bin)VeloTELL1AlgorithmsRootMap.make
endif

else

ifdef READONLY
cmt_final_setup_VeloTELL1AlgorithmsRootMap = /tmp/CMT_VeloTELL1Algorithmssetup.make
cmt_local_VeloTELL1AlgorithmsRootMap_makefile = /tmp/CMT_VeloTELL1AlgorithmsRootMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloTELL1AlgorithmsRootMap = $(bin)VeloTELL1Algorithmssetup.make
cmt_local_VeloTELL1AlgorithmsRootMap_makefile = $(bin)VeloTELL1AlgorithmsRootMap.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloTELL1Algorithmssetup.make
else
cmt_final_setup = $(bin)VeloTELL1Algorithmssetup.make
endif

VeloTELL1AlgorithmsRootMap ::


ifdef READONLY
VeloTELL1AlgorithmsRootMap ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloTELL1AlgorithmsRootMap'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloTELL1AlgorithmsRootMap/
VeloTELL1AlgorithmsRootMap::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

##
rootmapfile = VeloTELL1Algorithms.rootmap
ROOTMAP_DIR = ../$(tag)
fulllibname = libVeloTELL1Algorithms.$(shlibsuffix)

VeloTELL1AlgorithmsRootMap :: ${ROOTMAP_DIR}/$(rootmapfile)
	@:

${ROOTMAP_DIR}/$(rootmapfile) :: $(bin)$(fulllibname)
	@echo 'Generating rootmap file for $(fulllibname)'
	cd ../$(tag);$(genmap_cmd) -i $(fulllibname) -o ${ROOTMAP_DIR}/$(rootmapfile) $(VeloTELL1AlgorithmsRootMap_genmapflags)

install :: VeloTELL1AlgorithmsRootMapinstall
VeloTELL1AlgorithmsRootMapinstall :: VeloTELL1AlgorithmsRootMap

uninstall :: VeloTELL1AlgorithmsRootMapuninstall
VeloTELL1AlgorithmsRootMapuninstall :: VeloTELL1AlgorithmsRootMapclean

VeloTELL1AlgorithmsRootMapclean ::
	@echo 'Deleting $(rootmapfile)'
	@rm -f ${ROOTMAP_DIR}/$(rootmapfile)

#-- start of cleanup_header --------------

clean :: VeloTELL1AlgorithmsRootMapclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloTELL1AlgorithmsRootMapclean ::
#-- end of cleanup_header ---------------
