#-- start of make_header -----------------

#====================================
#  Document VeloTELL1DecodingMergeMap
#
#   Generated Tue Oct 14 15:02:32 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloTELL1DecodingMergeMap_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloTELL1DecodingMergeMap_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloTELL1DecodingMergeMap

VeloTELL1Decoding_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloTELL1DecodingMergeMap = /tmp/CMT_$(VeloTELL1Decoding_tag)_VeloTELL1DecodingMergeMap.make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloTELL1DecodingMergeMap = $(VeloTELL1Decoding_tag)_VeloTELL1DecodingMergeMap.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloTELL1Decoding_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VeloTELL1DecodingMergeMap = /tmp/CMT_$(VeloTELL1Decoding_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VeloTELL1DecodingMergeMap = $(VeloTELL1Decoding_tag).make
endif

endif

-include $(cmt_local_tagfile_VeloTELL1DecodingMergeMap)

ifdef cmt_VeloTELL1DecodingMergeMap_has_target_tag

ifdef READONLY
cmt_final_setup_VeloTELL1DecodingMergeMap = /tmp/CMT_VeloTELL1Decoding_VeloTELL1DecodingMergeMapsetup.make
cmt_local_VeloTELL1DecodingMergeMap_makefile = /tmp/CMT_VeloTELL1DecodingMergeMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloTELL1DecodingMergeMap = $(bin)VeloTELL1Decoding_VeloTELL1DecodingMergeMapsetup.make
cmt_local_VeloTELL1DecodingMergeMap_makefile = $(bin)VeloTELL1DecodingMergeMap.make
endif

else

ifdef READONLY
cmt_final_setup_VeloTELL1DecodingMergeMap = /tmp/CMT_VeloTELL1Decodingsetup.make
cmt_local_VeloTELL1DecodingMergeMap_makefile = /tmp/CMT_VeloTELL1DecodingMergeMap$(cmt_lock_pid).make
else
cmt_final_setup_VeloTELL1DecodingMergeMap = $(bin)VeloTELL1Decodingsetup.make
cmt_local_VeloTELL1DecodingMergeMap_makefile = $(bin)VeloTELL1DecodingMergeMap.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VeloTELL1Decodingsetup.make
else
cmt_final_setup = $(bin)VeloTELL1Decodingsetup.make
endif

VeloTELL1DecodingMergeMap ::


ifdef READONLY
VeloTELL1DecodingMergeMap ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloTELL1DecodingMergeMap'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VeloTELL1DecodingMergeMap/
VeloTELL1DecodingMergeMap::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

# File: cmt/fragments/merge_rootmap_header
# Author: Sebastien Binet (binet@cern.ch)

# Makefile fragment to merge a <library>.rootmap file into a single
# <project>.rootmap file in the (lib) install area
# If no InstallArea is present the fragment is dummy


.PHONY: VeloTELL1DecodingMergeMap VeloTELL1DecodingMergeMapclean

# default is already '#'
#genmap_comment_char := "'#'"

ifdef CMTINSTALLAREA
rootMapDir    := ${CMTINSTALLAREA}/$(tag)/lib
mergedRootMap := $(rootMapDir)/$(project).rootmap
stampRootMap  := $(rootMapDir)/VeloTELL1Decoding.rootmap.stamp
else
rootMapDir    := ../$(tag)
mergedRootMap := 
stampRootMap  :=
endif

rootMapRef    := ../$(tag)/VeloTELL1Decoding.rootmap

VeloTELL1DecodingMergeMap :: $(stampRootMap) $(mergedRootMap)
	@:

$(stampRootMap) $(mergedRootMap) :: $(rootMapRef)
	@echo "Running merge_rootmap  VeloTELL1DecodingMergeMap" 
	$(merge_rootmap_cmd) --do-merge \
         --input-file $(rootMapRef) --merged-file $(mergedRootMap)

VeloTELL1DecodingMergeMapclean ::
	$(cleanup_silent) $(merge_rootmap_cmd) --un-merge \
         --input-file $(rootMapRef) --merged-file $(mergedRootMap) ;
	$(cleanup_silent) $(uninstall_command) $(stampRootMap)
libVeloTELL1Decoding_so_dependencies = ../slc4_ia32_gcc34/libVeloTELL1Decoding.so
#-- start of cleanup_header --------------

clean :: VeloTELL1DecodingMergeMapclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VeloTELL1DecodingMergeMapclean ::
#-- end of cleanup_header ---------------
