// $Id: VeloTELL1Decoding_load.cpp,v 1.2 2007/08/26 19:13:17 szumlat Exp $
// Include files 


#include "GaudiKernel/DeclareFactoryEntries.h"

// Declare  OBJECT / CONVERTER / ALGORITHM / TOOL using the macros DECLARE_xxx
// The statements are like that:
//
// DECLARE_ALGORITHM( MyAlgorithm );
// DECLARE_TOOL( MyTool );
// DECLARE_OBJECT( DataObject );
//
// They should be inside the 'DECLARE_FACTORY_ENTRIES' body.

DECLARE_FACTORY_ENTRIES( VeloTELL1Decoding ) {
  DECLARE_ALGORITHM( TELL1BinaryOutputChecker );
  DECLARE_ALGORITHM( PrepareVeloFullRawBuffer );
  DECLARE_ALGORITHM( DecodeVeloFullRawBuffer );
}

