#-- start of make_header -----------------

#====================================
#  Library VetraDict
#
#   Generated Tue Oct 14 15:02:40 2008  by dpennica
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VetraDict_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VetraDict_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VetraDict

VetraSys_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VetraDict = /tmp/CMT_$(VetraSys_tag)_VetraDict.make$(cmt_lock_pid)
else
cmt_local_tagfile_VetraDict = $(VetraSys_tag)_VetraDict.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VetraSys_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_VetraDict = /tmp/CMT_$(VetraSys_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_VetraDict = $(VetraSys_tag).make
endif

endif

-include $(cmt_local_tagfile_VetraDict)

ifdef cmt_VetraDict_has_target_tag

ifdef READONLY
cmt_final_setup_VetraDict = /tmp/CMT_VetraSys_VetraDictsetup.make
cmt_local_VetraDict_makefile = /tmp/CMT_VetraDict$(cmt_lock_pid).make
else
cmt_final_setup_VetraDict = $(bin)VetraSys_VetraDictsetup.make
cmt_local_VetraDict_makefile = $(bin)VetraDict.make
endif

else

ifdef READONLY
cmt_final_setup_VetraDict = /tmp/CMT_VetraSyssetup.make
cmt_local_VetraDict_makefile = /tmp/CMT_VetraDict$(cmt_lock_pid).make
else
cmt_final_setup_VetraDict = $(bin)VetraSyssetup.make
cmt_local_VetraDict_makefile = $(bin)VetraDict.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_VetraSyssetup.make
else
cmt_final_setup = $(bin)VetraSyssetup.make
endif

VetraDict ::


ifdef READONLY
VetraDict ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VetraDict'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VetraDict/
VetraDict::
	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

#-- end of make_header ------------------

#-- start of libary_header ---------------

VetraDictlibname   = $(bin)$(library_prefix)VetraDict$(library_suffix)
VetraDictlib       = $(VetraDictlibname).a
VetraDictstamp     = $(bin)VetraDict.stamp
VetraDictshstamp   = $(bin)VetraDict.shstamp

VetraDict :: dirs  VetraDictLIB
	@/bin/echo "------> VetraDict ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

VetraDictLIB :: $(VetraDictlib) $(VetraDictshstamp)
	@/bin/echo "------> VetraDict : library ok"

$(VetraDictlib) :: $(bin)VetraDict_dict.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(VetraDictlib) $?
	$(lib_silent) $(ranlib) $(VetraDictlib)
	$(lib_silent) cat /dev/null >$(VetraDictstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(VetraDictlibname).$(shlibsuffix) :: $(VetraDictlib) requirements $(use_requirements) $(VetraDictstamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" VetraDict $(VetraDict_shlibflags)

$(VetraDictshstamp) :: $(VetraDictlibname).$(shlibsuffix)
	@if test -f $(VetraDictlibname).$(shlibsuffix) ; then cat /dev/null >$(VetraDictshstamp) ; fi

VetraDictclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)VetraDict_dict.o
	$(cleanup_silent) cd $(bin); /bin/rm -rf VetraDict_deps VetraDict_dependencies.make

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
VetraDictinstallname = $(library_prefix)VetraDict$(library_suffix).$(shlibsuffix)

VetraDict :: VetraDictinstall

install :: VetraDictinstall

VetraDictinstall :: $(install_dir)/$(VetraDictinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(VetraDictinstallname) :: $(bin)$(VetraDictinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VetraDictinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi

##VetraDictclean :: VetraDictuninstall

uninstall :: VetraDictuninstall

VetraDictuninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(VetraDictinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)VetraDict_dependencies.make :: dirs

ifndef QUICK
$(bin)VetraDict_dependencies.make :: ../slc4_ia32_gcc34/dict/Vetra/*.cpp  requirements $(use_requirements) $(cmt_final_setup_VetraDict)
	@echo "------> (VetraDict.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) VetraDict -all_sources $${args}
endif

#$(VetraDict_dependencies)

-include $(bin)VetraDict_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------
#
$(bin)$(binobj)VetraDict_dict.o : $(VetraDict_dict_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)VetraDict_dict.o $(use_pp_cppflags) $(VetraDict_pp_cppflags) $(lib_VetraDict_pp_cppflags) $(VetraDict_dict_pp_cppflags) $(use_cppflags) $(VetraDict_cppflags) $(lib_VetraDict_cppflags) $(VetraDict_dict_cppflags) $(VetraDict_dict_cpp_cppflags) -I../slc4_ia32_gcc34/dict/Vetra ../slc4_ia32_gcc34/dict/Vetra/VetraDict_dict.cpp

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: VetraDictclean
	@cd .

ifndef PEDANTIC
.DEFAULT::
	@echo "WARNING >> You should provide a target for $@"
else
.DEFAULT::
	@echo "PEDANTIC MODE >> You should provide a target for $@"
	@if test `expr index $@ '.'` != 0 ; \
	then  echo "PEDANTIC MODE >> This target seems to be a missing file, please check"; exit -1 ;\
	else echo "PEDANTIC MODE >> Just ignore it ; as it seems to be just a fake target due to some pattern" ; exit 0; fi; 		
endif

VetraDictclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(binobj)$(library_prefix)VetraDict$(library_suffix).a $(binobj)$(library_prefix)VetraDict$(library_suffix).s? $(binobj)VetraDict.stamp $(binobj)VetraDict.shstamp
#-- end of cleanup_library ---------------

